function setEntryVisible(index, visible) {
    var table = document.getElementById("tocEntry" + index);
    if (visible) {
        table.style.display = '';
    } else {
        table.style.display = "none";
    }
}

function setVisible(toc, index, visible) {
    var tlen = toc.length;
    var level = toc[index][2];
    var expanded = toc[index][3];
    var next = index + 1;

    while (next < tlen && level < toc[next][2]) {
        if (level == (toc[next][2] - 1)) {
            setVisible(toc, next, visible && expanded);
        }
        next++;
    }

    setEntryVisible(index, visible);    
}

function change(toc, index) {
    var tlen = toc.length;
    var expanded = toc[index][3];
    var level = toc[index][2];
    var next = index + 1;
    var element = document.getElementById("tocImg" + index);

    expanded = !expanded;

    while (next < tlen && level < toc[next][2]) {
        if (level == (toc[next][2] - 1)) {
            setVisible(toc, next, expanded);
        }
        next++;
    }

    if (!expanded) {
        element.setAttribute("src", "plus.gif");
    } else {
        element.setAttribute("src", "minus.gif");
    }
    toc[index][3] = expanded;
}

function displayToc(toc) {
    var dom_support = 0;

    if (parseInt(navigator.appVersion) >= 5 ||
        navigator.appVersion.indexOf["MSIE 5"] != -1) {
        /* Browser has dom support */
        dom_support = 1;
    }

    var tlen = toc.length;

    if (!dom_support) {
        document.writeln("<P><A HREF=\"#warning\">Warning - browser is too old</A></P>");
    }

    for (i = 0; i < tlen; i++) {
        var level = toc[i][2];
        var pad = indentFactor * level;
        var width = tocWidth - pad - iconSpace;
        var terminal = 1;
        var expanded = toc[i][3];
        var ilink;
        var link = "<A CLASS=tocentry" + level + " HREF=\"" + toc[i][1] + "\" TARGET=content>" + toc[i][0] + "</A>";
        var next = i + 1;

        if (next < tlen && level < toc[next][2]) {
            terminal = 0;
        }
        document.writeln("<DIV id=tocEntry" + i + "><table width = " + tocWidth + " height= " + tocEntryHeight + ">");
        document.writeln("<TR width=" + tocWidth + " height=" + tocEntryHeight + ">");
        if (pad) {
            document.writeln("<TD width=" + pad + ">&nbsp;</td>");
        }
        if (terminal) {
            document.writeln("<TD width=" + iconSpace + " class=icon><img id=tocImg" + i + " src=\"page.gif\"></td>");
        } else {
            var ilink;
            if (dom_support) {
                var img = "<img id=tocImg" + i + " src=\"" + (expanded ? "minus.gif" : "plus.gif") + "\">";
                ilink = "<A HREF=\"javaScript:change(tocTab, " + i + ")\">" + img + "</A>";
            } else {
                var ilink = "<IMG src=\"" + "minus.gif" + "\">";
            }
            document.writeln("<TD width=" + iconSpace + " class=icon>" + ilink + "</td>");
        }
        document.writeln("<TD width=" + width + ">" + link + "</TD>");
        document.writeln("</TR>");
        document.writeln("</TABLE></DIV>");
    }

    if (dom_support) {
        setVisible(toc, 0, 1);
    } else {
	document.writeln("<P><A NAME=\"warning\"></A>");
	document.write("The browser you are using does not appear to have full support for the DOM (document object model). ");
	document.write("Hence the table of contents above is not collapsible. For a collapsible table of contents, please ");
	document.write("upgrade to a DOM-compliant browser such as Netscape 6/Mozilla 5/Internet Explorer 5/Internet Explorer 6/Opera.");
	document.writeln("</P>");
    }
}

displayToc(tocTab);
