/*
** sfiforam_v.v - Synchronous FIFO module RAM array for Virtex family
**
** Modules:
**
**    sfiforam      512word by 32bit dual ported memory
**                  using BlockRAMs for Virtex/Virtex-E/Virtex-EM
**
**
*/

`timescale 1ns / 100ps

module sfiforam(
   clk,
   rst,
   sr,
   da,
   d,
   qa,
   q,
   w,
   r);

input             clk;
input             rst;
input             sr;
input  [8:0]      da;
input  [31:0]     d;
input  [8:0]      qa;
output [31:0]     q;
input             w;
input             r;

RAMB4_S8_S8 ram0(
   .DOA  (),
   .DOB  (q[7:0]),
   .ADDRA(da),
   .DIA  (d[7:0]),
   .ENA  (1'b1),
   .CLKA (clk),
   .WEA  (w),
   .RSTA (sr),
   .ADDRB(qa),
   .DIB  (8'h0),
   .ENB  (r),
   .CLKB (clk),
   .WEB  (1'b0),
   .RSTB (sr));

RAMB4_S8_S8 ram1(
   .DOA  (),
   .DOB  (q[15:8]),
   .ADDRA(da),
   .DIA  (d[15:8]),
   .ENA  (1'b1),
   .CLKA (clk),
   .WEA  (w),
   .RSTA (sr),
   .ADDRB(qa),
   .DIB  (8'h0),
   .ENB  (r),
   .CLKB (clk),
   .WEB  (1'b0),
   .RSTB (sr));

RAMB4_S8_S8 ram2(
   .DOA  (),
   .DOB  (q[23:16]),
   .ADDRA(da),
   .DIA  (d[23:16]),
   .ENA  (1'b1),
   .CLKA (clk),
   .WEA  (w),
   .RSTA (sr),
   .ADDRB(qa),
   .DIB  (8'h0),
   .ENB  (r),
   .CLKB (clk),
   .WEB  (1'b0),
   .RSTB (sr));

RAMB4_S8_S8 ram3(
   .DOA  (),
   .DOB  (q[31:24]),
   .ADDRA(da),
   .DIA  (d[31:24]),
   .ENA  (1'b1),
   .CLKA (clk),
   .WEA  (w),
   .RSTA (sr),
   .ADDRB(qa),
   .DIB  (8'h0),
   .ENB  (r),
   .CLKB (clk),
   .WEB  (1'b0),
   .RSTB (sr));

endmodule
