/*
** sfiforam_v2.v - Synchronous FIFO module RAM array for Virtex-2 family
**
** Modules:
**
**    sfiforam      512word by 32bit dual ported memory
**                  using BlockRAMs for Virtex-2/Virtex-2Pro
**
**
*/

`timescale 1ns / 100ps

module sfiforam(
   clk,
   rst,
   sr,
   da,
   d,
   qa,
   q,
   w,
   r);

input             clk;
input             rst;
input             sr;
input  [8:0]      da;
input  [31:0]     d;
input  [8:0]      qa;
output [31:0]     q;
input             w;
input             r;

RAMB16_S36_S36 ram0(
   .DOA  (),
   .DOPA (),
   .DOB  (q[31:0]),
   .DOPB (),
   .ADDRA(da),
   .DIA  (d[31:0]),
   .DIPA (4'h0),
   .ENA  (1'b1),
   .CLKA (clk),
   .WEA  (w),
   .SSRA (sr),
   .ADDRB(qa),
   .DIB  (32'h0),
   .DIPB (4'h0),
   .ENB  (r),
   .CLKB (clk),
   .WEB  (1'b0),
   .SSRB (sr));
/* synopsys attribute

   WRITE_MODE_A "READ_FIRST"
   WRITE_MODE_B "READ_FIRST"
*/
// synthesis attribute WRITE_MODE_A of ram0 is "READ_FIRST"
// synthesis attribute WRITE_MODE_B of ram0 is "READ_FIRST"

endmodule
