/*
** xstboxes.v - Black Box declarations for use with XST.
**
**              `include this file in Verilog code to get
**              the Black Box declarations.
*/

module BUFG(I, O);
input  I;
output O;
endmodule
// synthesis attribute BOX_TYPE of BUFG is "BLACK_BOX"

module CLKDLL(
    CLKIN,
    CLKFB,
    RST,
    CLK0,
    CLK90,
    CLK180,
    CLK270,
    CLK2X,
    CLKDV,
    LOCKED);
input  CLKIN;
input  CLKFB;
input  RST;
output CLK0;
output CLK90;
output CLK180;
output CLK270;
output CLK2X;
output CLKDV;
output LOCKED;
endmodule
// synthesis attribute BOX_TYPE of CLKDLL is "BLACK_BOX"

module DCM(
    CLKIN,
    CLKFB,
    DSSEN,
    PSINCDEC,
    PSEN,
    PSCLK,
    RST,
    CLK0,
    CLK90,
    CLK180,
    CLK270,
    CLK2X,
    CLK2X180,
    CLKDV,
    CLKFX,
    CLKFX180,
    LOCKED,
    PSDONE,
    STATUS);
input           CLKIN;
input           CLKFB;
input           DSSEN;
input           PSINCDEC;
input           PSEN;
input           PSCLK;
input           RST;
output          CLK0;
output          CLK90;
output          CLK180;
output          CLK270;
output          CLK2X;
output          CLK2X180;
output          CLKDV;
output          CLKFX;
output          CLKFX180;
output          LOCKED;
output          PSDONE;
output [7:0]    STATUS;
endmodule
// synthesis attribute BOX_TYPE of DCM is "BLACK_BOX"

module IBUFG(I, O);
input  I;
output O;
endmodule
// synthesis attribute BOX_TYPE of IBUFG is "BLACK_BOX"

module IOBUF_F_16(O, IO, I, T);
output O;
inout  IO;
input  I;
input  T;
endmodule
// synthesis attribute BOX_TYPE of IOBUF_F_16 is "BLACK_BOX"

module RAMB4_S8_S8(
    DOA,
    DOB,
    ADDRA,
    DIA,
    ENA,
    CLKA,
    WEA,
    RSTA,
    ADDRB,
    DIB,
    ENB,
    CLKB,
    WEB,
    RSTB);
output [7:0] DOA;
output [7:0] DOB;
input  [8:0] ADDRA;
input  [7:0] DIA;
input        ENA;
input        CLKA;
input        WEA;
input        RSTA;
input  [8:0] ADDRB;
input  [7:0] DIB;
input        ENB;
input        CLKB;
input        WEB;
input        RSTB;
endmodule
// synthesis attribute BOX_TYPE of RAMB4_S8_S8 is "BLACK_BOX"

module RAMB16_S36_S36(
    DOA,
    DOPA,
    DOB,
    DOPB,
    ADDRA,
    DIA,
    DIPA,
    ENA,
    CLKA,
    WEA,
    SSRA,
    ADDRB,
    DIB,
    DIPB,
    ENB,
    CLKB,
    WEB,
    SSRB);
output [31:0] DOA;
output [3:0]  DOPA;
output [31:0] DOB;
output [3:0]  DOPB;
input  [8:0]  ADDRA;
input  [31:0] DIA;
input  [3:0]  DIPA;
input         ENA;
input         CLKA;
input         WEA;
input         SSRA;
input  [8:0]  ADDRB;
input  [31:0] DIB;
input  [3:0]  DIPB;
input         ENB;
input         CLKB;
input         WEB;
input         SSRB;
endmodule
// synthesis attribute BOX_TYPE of RAMB16_S36_S36 is "BLACK_BOX"
