//
// clocks_dll.v - clocks multiplication module using DLLs for
//                Virtex/Virtex-E/Virtex-EM
//
// (c) Alpha Data Parallel Systems Ltd. 2001
//
// The local bus clock is input and multiplied by 2 using a Virtex DLL.
//

module clocks(
   rst,
   lclk,
   mclk,
   clk,
   multclk,
   locked
);

input       rst;
wire        rst;
input       lclk;
wire        lclk;
input       mclk;
wire        mclk;
output      clk;
wire        clk;
output      multclk;
wire        multclk;
output      locked;
wire        locked;

wire        lclk_i;
wire        clk0;
wire        multclk0;

//
// Input LCLK
//

IBUFG    
ibufg0(
   .I        (lclk),
   .O        (lclk_i));

//
// Generate clocks locked to LCLK and LCLK x 2
//

CLKDLL    
dll0(
   .CLK0     (clk0),
   .CLK2X    (multclk0),
   .LOCKED   (locked),
   .CLKIN    (lclk_i),
   .CLKFB    (clk),
   .RST      (1'b0));

BUFG    
bufg0(
   .I        (clk0),
   .O        (clk));
    
BUFG
bufg1(
   .I        (multclk0),
   .O        (multclk));

endmodule
