//
// test_master.v - Testbench for entity 'master'
//
// (c) Alpha Data Parallel Systems Ltd. 1999-2001
//
// NOT synthesisable!
//

`timescale 1ns / 100ps

module test_master();

parameter period = 30;

reg                        lclk;
reg                        lreset_l;
wire                       lwrite;
wire                       lads_l;
wire                       lblast_l;
wire                       lbterm_l;
reg                        lbtermo_l;
wire [31:0]                ld;
wire [23:2]                la;
wire                       lreadyi_l;
reg                        lreadyo_l;
wire [3:0]                 lbe_l;
wire                       fhold;
reg                        fholda;

reg                        la_oe;
reg  [31:0]                la_o;
reg                        ld_oe;
reg  [31:0]                ld_o;
reg                        lbe_oe;
reg  [3:0]                 lbe_o;
reg                        lblast_o;
reg                        lblast_oe;
reg                        lwrite_o;
reg                        lwrite_oe;
reg                        lads_o;
reg                        lads_oe;

always
begin
   #(period / 2) lclk = ~lclk;
end

assign la = la_oe ? la_o : 32'hZ;
assign ld = ld_oe ? ld_o : 32'hZ;
assign lbe_l = lbe_oe ? ~lbe_o : 32'hZ;
assign lads_l = lads_oe ? ~lads_o : 1'bZ;
assign lblast_l = lblast_oe ? ~lblast_o : 1'bZ;
assign lwrite = lwrite_oe ? lwrite_o : 1'bZ;

initial
begin
    lclk <= 1'b1;
    lreset_l <= 1'b0;
    la_oe <= 1'b0;
    ld_oe <= 1'b0;
    lads_oe <= 1'b0;
    lbe_oe <= 1'b0;
    lblast_oe <= 1'b0;
    lwrite_oe <= 1'b0;
    lreadyo_l <= 1'b1;
    lbtermo_l <= 1'b1;
    fholda <= 1'b0;
    #(period * 4);
    lreset_l <= 1'b1;
    #1;

    //
    // Do a write
    //
    lads_oe <= 1'b1;
    lads_o <= 1'b1;
    la_oe <= 1'b1;
    la_o <= 0;
    lbe_oe <= 1'b1;
    lbe_o <= 4'hf;
    lblast_oe <= 1'b1;
    lblast_o <= 1'b1;
    lwrite_oe <= 1'b1;
    lwrite_o <= 1'b1;
    #(period * 1);
    lads_o <= 1'b0;
    ld_oe <= 1'b1;
    ld_o <= 0;
    #(period * 2);
    la_oe <= 1'b0;
    ld_oe <= 1'b0;
    lbe_oe <= 1'b0;
    lads_oe <= 1'b0;
    lblast_oe <= 1'b0;
    lwrite_oe <= 1'b0;
    #(period * 1);

    #(period * 2);
    fholda <= 1'b1;
    #(period * 5);
    lreadyo_l <= 1'b0;
    #(period * 1);
    lreadyo_l <= 1'b1;
    #(period * 1);

end

master master0(
    .lclk         (lclk),
    .lreset_l     (lreset_l),
    .lwrite       (lwrite),
    .lads_l       (lads_l),
    .lblast_l     (lblast_l),
    .lbterm_l     (lbterm_l),
    .lbtermo_l    (lbtermo_l),
    .ld           (ld),
    .la           (la),
    .lreadyi_l    (lreadyi_l),
    .lreadyo_l    (lreadyo_l),
    .lbe_l        (lbe_l),
    .fhold        (fhold),
    .fholda       (fholda));

glbl glbl();

endmodule
