/*
** reario-xrc2.v - FPGA design to output a walking 1 on I/O pins
**
** (C) Copyright Alpha Data Parallel Systems Ltd. 2002-2004
**
** Example FPGA design for:
**
**   o ADM-XRCII
**
** This example outputs a walking bit on the 64 user I/O pins at
** the Pn4 connector.
*/

module reario(
   lclk,
   lreset_l,
   reario);

input               lclk;
input               lreset_l;
inout  [63:0]       reario;

wire          	    rst = ~lreset_l;
wire   [63:0]       reario;

reg    [63:0]       shiftreg;

assign reario[63:0] = shiftreg[63:0];

//
// Shift pattern up from 0 -> 51
//
always @ (posedge rst or posedge lclk)
begin
   if (rst) begin
      shiftreg <= 1;
   end else begin
      shiftreg[63:0] <= { shiftreg[62:0], shiftreg[63] } ;
   end     
end

endmodule

