//
// clocks_sim.v - clock generator for simulation of ZBT design
//                NOT synthesisable!
//
// (c) Alpha Data Parallel Systems Ltd. 1999-2001
//

`timescale 1ns / 100ps

module clocks(
    reset_l,
    rst,
    lclk,
    mclk,
    clk,
    ramclko,
    ramclki,
    locked);

parameter               num_clock = 4;

input                   lreset_l,
output                  rst;
input                   lclk;
input                   mclk;
input  [num_clock-1:0]  ramclki;
output                  clk;
output [num_clock-1:0]  ramclko;
output                  locked;

wire                    rst;
wire                    lclk;
wire                    mclk;
wire   [num_clock-1:0]  ramclki;
wire                    clk;
reg    [num_clock-1:0]  ramclko;
reg    [31:0]           locked;

integer                 i;

assign                  clk = lclk;

always @ (lclk)
begin
    locked[0] <= 1'b1;
    for (i = 0; i < num_clock; i = i + 1) begin
        ramclko[i] <= lclk;
        locked[i + 1] <= 1'b1;
    end
    for (i = num_clock; i < 8; i = i + 1) begin
        locked[i + 1] <= 1'b0;
    end
    locked[31:9] <= 0;
end

endmodule
