//
// zbt_dpins.v - instantiate IO buffers with 16ms drive strength for
//               ZBT design.
//
// (C) Copyright Alpha Data Parallel Systems Ltd. 1999-2003
//
// Example program for: ADM-XRC / ADM-XRC-P / ADM-XRCII-Lite / ADM-XRCII
//

`timescale 1ns / 100ps

module zbt_dpins(
    o,
    i,
    t,
    io);

parameter width = 32; // We need to find a way to make this have an effect; currently ignored. */

input  [31:0]  o;
input  [31:0]  t;
output [31:0]  i;
inout  [31:0]  io;

wire   [31:0]  o;
wire   [31:0]  i;
wire   [31:0]  t;
wire   [31:0]  io;

IOBUF_F_16 buf0( .O (i[0]),  .IO (io[0]),  .I (o[0]),  .T (t[0]));
IOBUF_F_16 buf1( .O (i[1]),  .IO (io[1]),  .I (o[1]),  .T (t[1]));
IOBUF_F_16 buf2( .O (i[2]),  .IO (io[2]),  .I (o[2]),  .T (t[2]));
IOBUF_F_16 buf3( .O (i[3]),  .IO (io[3]),  .I (o[3]),  .T (t[3]));
IOBUF_F_16 buf4( .O (i[4]),  .IO (io[4]),  .I (o[4]),  .T (t[4]));
IOBUF_F_16 buf5( .O (i[5]),  .IO (io[5]),  .I (o[5]),  .T (t[5]));
IOBUF_F_16 buf6( .O (i[6]),  .IO (io[6]),  .I (o[6]),  .T (t[6]));
IOBUF_F_16 buf7( .O (i[7]),  .IO (io[7]),  .I (o[7]),  .T (t[7]));
IOBUF_F_16 buf8( .O (i[8]),  .IO (io[8]),  .I (o[8]),  .T (t[8]));
IOBUF_F_16 buf9( .O (i[9]),  .IO (io[9]),  .I (o[9]),  .T (t[9]));
IOBUF_F_16 buf10(.O (i[10]), .IO (io[10]), .I (o[10]), .T (t[10]));
IOBUF_F_16 buf11(.O (i[11]), .IO (io[11]), .I (o[11]), .T (t[11]));
IOBUF_F_16 buf12(.O (i[12]), .IO (io[12]), .I (o[12]), .T (t[12]));
IOBUF_F_16 buf13(.O (i[13]), .IO (io[13]), .I (o[13]), .T (t[13]));
IOBUF_F_16 buf14(.O (i[14]), .IO (io[14]), .I (o[14]), .T (t[14]));
IOBUF_F_16 buf15(.O (i[15]), .IO (io[15]), .I (o[15]), .T (t[15]));
IOBUF_F_16 buf16(.O (i[16]), .IO (io[16]), .I (o[16]), .T (t[16]));
IOBUF_F_16 buf17(.O (i[17]), .IO (io[17]), .I (o[17]), .T (t[17]));
IOBUF_F_16 buf18(.O (i[18]), .IO (io[18]), .I (o[18]), .T (t[18]));
IOBUF_F_16 buf19(.O (i[19]), .IO (io[19]), .I (o[19]), .T (t[19]));
IOBUF_F_16 buf20(.O (i[20]), .IO (io[20]), .I (o[20]), .T (t[20]));
IOBUF_F_16 buf21(.O (i[21]), .IO (io[21]), .I (o[21]), .T (t[21]));
IOBUF_F_16 buf22(.O (i[22]), .IO (io[22]), .I (o[22]), .T (t[22]));
IOBUF_F_16 buf23(.O (i[23]), .IO (io[23]), .I (o[23]), .T (t[23]));
IOBUF_F_16 buf24(.O (i[24]), .IO (io[24]), .I (o[24]), .T (t[24]));
IOBUF_F_16 buf25(.O (i[25]), .IO (io[25]), .I (o[25]), .T (t[25]));
IOBUF_F_16 buf26(.O (i[26]), .IO (io[26]), .I (o[26]), .T (t[26]));
IOBUF_F_16 buf27(.O (i[27]), .IO (io[27]), .I (o[27]), .T (t[27]));
IOBUF_F_16 buf28(.O (i[28]), .IO (io[28]), .I (o[28]), .T (t[28]));
IOBUF_F_16 buf29(.O (i[29]), .IO (io[29]), .I (o[29]), .T (t[29]));
IOBUF_F_16 buf30(.O (i[30]), .IO (io[30]), .I (o[30]), .T (t[30]));
IOBUF_F_16 buf31(.O (i[31]), .IO (io[31]), .I (o[31]), .T (t[31]));

endmodule
