source ../../../projnav.tcl

set _cwd [pwd]

set _VHDMod $::projNav::VHDMod
set _VHDPkg $::projNav::VHDPkg

set _design "ddma"
set _entity "ddma-mixed"

set _projects [ list \
	[ list \
		virtex v400 bg560 4 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v600 bg560 4 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v800 bg560 4 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v1000 bg560 4 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v405e bg560 6 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v812e bg560 6 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v1000e bg560 6 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v1600e bg560 6 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v2000e bg560 6 xrc [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v400 bg560 4 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v600 bg560 4 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v800 bg560 4 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex v1000 bg560 4 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v405e bg560 6 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v812e bg560 6 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v1000e bg560 6 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v1600e bg560 6 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtexe v2000e bg560 6 xrcp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrcp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v1000 fg456 4 xrc2l [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2l.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2l.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v3000 ff1152 4 xrc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v4000 ff1152 4 xrc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v6000 ff1152 4 xrc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v8000 ff1152 4 xrc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp7 ff896 5 xpl [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp20 ff896 5 xpl [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp30 ff896 5 xpl [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v6000 ff1517 4 wrc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v8000 ff1517 4 wrc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v4000 ff1152 4 drc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-drc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v6000 ff1152 4 drc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-drc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2 2v8000 ff1152 4 drc2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-wrc2.vhd" $_VHDMod ] \
			[ list "../../../ddma-drc2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp70 ff1704 5 xp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma-xp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp100 ff1704 5 xp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma-xp.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp70 ff1704 5 xpi [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpi.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpi.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex2p 2vp100 ff1704 5 xpi [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpi.vhd" $_VHDMod ] \
			[ list "../../../ddma-xpi.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vlx60 ff1148 10 xrc4lx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vlx80 ff1148 10 xrc4lx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vlx100 ff1148 10 xrc4lx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vlx160 ff1148 10 xrc4lx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vsx55 ff1148 10 xrc4sx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4lx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4sx.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vfx100 ff1517 10 xrc4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4fx-4vfx100.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vfx140 ff1517 10 xrc4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc4fx-4vfx140.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vfx100 ff1517 10 xrce4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrce4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrce4fx-4vfx100.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex4 4vfx140 ff1517 10 xrce4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrce4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrce4fx-4vfx140.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110 ff1153 1 xrc5lx [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5lx.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx70t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t1-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx100t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t1-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t1.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx155t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t1.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vsx95t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t1.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx155t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx220t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx330t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx100t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx130t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx200t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vsx240t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5t2.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx155t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx220t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx330t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx100t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx130t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx200t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vsx240t ff1738 1 xrc5tz [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tz.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx70t ff1136 1 xrc5tda1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tda1-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vfx100t ff1136 1 xrc5tda1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tda1-5vfxt.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110t ff1136 1 xrc5tda1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tda1.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vlx155t ff1136 1 xrc5tda1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tda1.ucf" "ddma" ] \
		] \
	] \
	[ list \
		virtex5 5vsx95t ff1136 1 xrc5tda1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma-xrc5tda1.ucf" "ddma" ] \
		] \
	] \
]

::projNav::makeProjects $_cwd $_design $_entity $_projects 10
