source ../../../projnav.tcl

set _cwd [pwd]

set _VHDMod $::projNav::VHDMod
set _VHDPkg $::projNav::VHDPkg

set _design "ddma64"
set _entity "ddma64-mixed"

set _projects [ list \
	[ list \
		virtex2p 2vp20 ff896 5 xpl [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpl.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex2p 2vp30 ff896 5 xpl [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpl.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex2p 2vp70 ff1704 5 xp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xp.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex2p 2vp100 ff1704 5 xp [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpl.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xp.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex2p 2vp70 ff1704 5 xpi [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpi.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpi.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex2p 2vp100 ff1704 5 xpi [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpi.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xpi.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex4 4vfx100 ff1517 10 xrc4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc4fx-4vfx100.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex4 4vfx140 ff1517 10 xrc4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc4fx-4vfx140.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex4 4vfx100 ff1517 10 xrce4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrce4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrce4fx-4vfx100.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex4 4vfx140 ff1517 10 xrce4fx [ list \
			[ list "../../../../common/dcm_standby/standby_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dcm_standby/standby.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/count2tc_sync.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/detector.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/drp_robot.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/ringosc.vhd" $_VHDMod ] \
			[ list "../../../../common/dcm_standby/dcm_standby.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../../common/null_mgt/null_mgt.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v4.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrce4fx.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrce4fx-4vfx140.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110 ff1153 1 xrc5lx [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5lx.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vfx70t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t1-5vfxt.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vfx100t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t1-5vfxt.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t1.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx155t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t1.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vsx95t ff1136 1 xrc5t1 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t1.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx110t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx155t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx220t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vlx330t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vfx100t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2-5vfxt.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vfx130t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2-5vfxt.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vfx200t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2-5vfxt.ucf" "ddma64" ] \
		] \
	] \
	[ list \
		virtex5 5vsx240t ff1738 1 xrc5t2 [ list \
			[ list "../../../../common/localbus/localbus_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/localbus/plxdssm.vhd" $_VHDMod ] \
			[ list "../../../../common/localbus/plxddsm2.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpmem_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/dpmem/dpbram0.vhd" $_VHDMod ] \
			[ list "../../../../common/dpmem/dpbram.vhd" $_VHDMod ] \
			[ list "../../../../common/fifo/fifo_pkg.vhd" $_VHDPkg ] \
			[ list "../../../../common/fifo/sfifop.vhd" $_VHDMod ] \
			[ list "../../../lclk_dcm_v5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5.vhd" $_VHDMod ] \
			[ list "../../../ddma64-xrc5t2.ucf" "ddma64" ] \
		] \
	] \
]

::projNav::makeProjects $_cwd $_design $_entity $_projects 10
