--
-- test_memory-xrc4lx.vhd - Testbench for entity 'memory', targetting
--                          ADM-XRC-4LX
--
-- (C) Copyright Alpha Data 2007-2008
--
-- NOT SYNTHESIZABLE
--

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_misc.all;

library std;
use std.textio.all;

library plxsim;
use plxsim.plxsim.all;

library work;
use work.memif.all;
use work.memif_sim.all;

entity test_memory is
    generic(
        test_id : in natural);
end test_memory;

architecture behav of test_memory is

    constant lclk_period : time := 20 ns;
    constant mclk_period : time := 8.0 ns;
    constant refclk_period : time := 5.0 ns;

    constant num_agent : natural := 1;

    constant priorities : integer_vector_t(0 to num_agent - 1) := (others => 0);

    constant trace_delay : time := 1 ns;

    constant bank0 : bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
    constant bank1 : bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
    constant bank2 : bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
    constant bank3 : bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
    constant bank4 : bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
    constant bank5 : bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
    constant bank6 : bank_t := no_bank;
    constant bank7 : bank_t := no_bank;
    constant bank8 : bank_t := no_bank;
    constant bank9 : bank_t := no_bank;
    constant bank10 : bank_t := no_bank;
    constant bank11 : bank_t := no_bank;
    constant bank12 : bank_t := no_bank;
    constant bank13 : bank_t := no_bank;
    constant bank14 : bank_t := no_bank;
    constant bank15 : bank_t := no_bank;
    constant num_ramclk : natural := 6;

    signal lclk : std_logic := '1';
    signal lreset_l : std_logic := '0';
    signal lwrite : std_logic := 'Z';
    signal lads_l : std_logic := 'Z';
    signal l64_l : std_logic := 'Z';
    signal lblast_l : std_logic := 'Z';
    signal lbterm_l : std_logic := 'Z';
    signal la : std_logic_vector(31 downto 2) := (others => 'Z');
    signal ld : std_logic_vector(31 downto 0) := (others => 'Z');
    signal lready_l : std_logic := 'Z';
    signal lbe_l : std_logic_vector(3 downto 0) := (others => 'Z');
    signal fholda : std_logic := '0';
    signal lhold : std_logic_vector(num_agent - 1 downto 0);
    signal lholda : std_logic_vector(num_agent - 1 downto 0);
    signal mclk_p : std_logic := '0';
    signal mclk_n : std_logic := '1';
    signal refclk_p : std_logic := '0';
    signal refclk_n : std_logic := '1';
    signal ra0 : std_logic_vector(bank0.ra_width - 1 downto 0) := (others => 'Z');
    signal rc0 : std_logic_vector(bank0.rc_width - 1 downto 0) := (others => 'Z');
    signal rd0 : std_logic_vector(bank0.rd_width - 1 downto 0) := (others => 'Z');
    signal ra1 : std_logic_vector(bank1.ra_width - 1 downto 0) := (others => 'Z');
    signal rc1 : std_logic_vector(bank1.rc_width - 1 downto 0) := (others => 'Z');
    signal rd1 : std_logic_vector(bank1.rd_width - 1 downto 0) := (others => 'Z');
    signal ra2 : std_logic_vector(bank2.ra_width - 1 downto 0) := (others => 'Z');
    signal rc2 : std_logic_vector(bank2.rc_width - 1 downto 0) := (others => 'Z');
    signal rd2 : std_logic_vector(bank2.rd_width - 1 downto 0) := (others => 'Z');
    signal ra3 : std_logic_vector(bank3.ra_width - 1 downto 0) := (others => 'Z');
    signal rc3 : std_logic_vector(bank3.rc_width - 1 downto 0) := (others => 'Z');
    signal rd3 : std_logic_vector(bank3.rd_width - 1 downto 0) := (others => 'Z');
    signal ra4 : std_logic_vector(bank4.ra_width - 1 downto 0) := (others => 'Z');
    signal rc4 : std_logic_vector(bank4.rc_width - 1 downto 0) := (others => 'Z');
    signal rd4 : std_logic_vector(bank4.rd_width - 1 downto 0) := (others => 'Z');
    signal ra5 : std_logic_vector(bank5.ra_width - 1 downto 0) := (others => 'Z');
    signal rc5 : std_logic_vector(bank5.rc_width - 1 downto 0) := (others => 'Z');
    signal rd5 : std_logic_vector(bank5.rd_width - 1 downto 0) := (others => 'Z');
    signal ra6 : std_logic_vector(bank6.ra_width - 1 downto 0) := (others => 'Z');
    signal rc6 : std_logic_vector(bank6.rc_width - 1 downto 0) := (others => 'Z');
    signal rd6 : std_logic_vector(bank6.rd_width - 1 downto 0) := (others => 'Z');
    signal ra7 : std_logic_vector(bank7.ra_width - 1 downto 0) := (others => 'Z');
    signal rc7 : std_logic_vector(bank7.rc_width - 1 downto 0) := (others => 'Z');
    signal rd7 : std_logic_vector(bank7.rd_width - 1 downto 0) := (others => 'Z');
    signal ra8 : std_logic_vector(bank8.ra_width - 1 downto 0) := (others => 'Z');
    signal rc8 : std_logic_vector(bank8.rc_width - 1 downto 0) := (others => 'Z');
    signal rd8 : std_logic_vector(bank8.rd_width - 1 downto 0) := (others => 'Z');
    signal ra9 : std_logic_vector(bank9.ra_width - 1 downto 0) := (others => 'Z');
    signal rc9 : std_logic_vector(bank9.rc_width - 1 downto 0) := (others => 'Z');
    signal rd9 : std_logic_vector(bank9.rd_width - 1 downto 0) := (others => 'Z');
    signal ra10 : std_logic_vector(bank10.ra_width - 1 downto 0) := (others => 'Z');
    signal rc10 : std_logic_vector(bank10.rc_width - 1 downto 0) := (others => 'Z');
    signal rd10 : std_logic_vector(bank10.rd_width - 1 downto 0) := (others => 'Z');
    signal ra11 : std_logic_vector(bank11.ra_width - 1 downto 0) := (others => 'Z');
    signal rc11 : std_logic_vector(bank11.rc_width - 1 downto 0) := (others => 'Z');
    signal rd11 : std_logic_vector(bank11.rd_width - 1 downto 0) := (others => 'Z');
    signal ra12 : std_logic_vector(bank12.ra_width - 1 downto 0) := (others => 'Z');
    signal rc12 : std_logic_vector(bank12.rc_width - 1 downto 0) := (others => 'Z');
    signal rd12 : std_logic_vector(bank12.rd_width - 1 downto 0) := (others => 'Z');
    signal ra13 : std_logic_vector(bank13.ra_width - 1 downto 0) := (others => 'Z');
    signal rc13 : std_logic_vector(bank13.rc_width - 1 downto 0) := (others => 'Z');
    signal rd13 : std_logic_vector(bank13.rd_width - 1 downto 0) := (others => 'Z');
    signal ra14 : std_logic_vector(bank14.ra_width - 1 downto 0) := (others => 'Z');
    signal rc14 : std_logic_vector(bank14.rc_width - 1 downto 0) := (others => 'Z');
    signal rd14 : std_logic_vector(bank14.rd_width - 1 downto 0) := (others => 'Z');
    signal ra15 : std_logic_vector(bank15.ra_width - 1 downto 0) := (others => 'Z');
    signal rc15 : std_logic_vector(bank15.rc_width - 1 downto 0) := (others => 'Z');
    signal rd15 : std_logic_vector(bank15.rd_width - 1 downto 0) := (others => 'Z');
    signal ramclk : std_logic_vector(num_ramclk - 1 downto 0);

    signal reading : std_logic_vector(5 downto 0);
    signal readingq : std_logic_vector(5 downto 0);
    signal writing : std_logic_vector(5 downto 0);
    signal writingq : std_logic_vector(5 downto 0);
    signal drive_a : std_logic_vector(5 downto 0);
    signal ra0_ram : std_logic_vector(bank0.ra_width - 1 downto 0) := (others => 'Z');
    signal rc0_ram : std_logic_vector(bank0.rc_width - 1 downto 0) := (others => 'Z');
    signal rd0_ram : std_logic_vector(bank0.rd_width - 1 downto 0) := (others => 'Z');
    signal ra1_ram : std_logic_vector(bank1.ra_width - 1 downto 0) := (others => 'Z');
    signal rc1_ram : std_logic_vector(bank1.rc_width - 1 downto 0) := (others => 'Z');
    signal rd1_ram : std_logic_vector(bank1.rd_width - 1 downto 0) := (others => 'Z');
    signal ra2_ram : std_logic_vector(bank2.ra_width - 1 downto 0) := (others => 'Z');
    signal rc2_ram : std_logic_vector(bank2.rc_width - 1 downto 0) := (others => 'Z');
    signal rd2_ram : std_logic_vector(bank2.rd_width - 1 downto 0) := (others => 'Z');
    signal ra3_ram : std_logic_vector(bank3.ra_width - 1 downto 0) := (others => 'Z');
    signal rc3_ram : std_logic_vector(bank3.rc_width - 1 downto 0) := (others => 'Z');
    signal rd3_ram : std_logic_vector(bank3.rd_width - 1 downto 0) := (others => 'Z');
    signal ra4_ram : std_logic_vector(bank4.ra_width - 1 downto 0) := (others => 'Z');
    signal rc4_ram : std_logic_vector(bank4.rc_width - 1 downto 0) := (others => 'Z');
    signal rd4_ram : std_logic_vector(bank4.rd_width - 1 downto 0) := (others => 'Z');
    signal ra5_ram : std_logic_vector(bank5.ra_width - 1 downto 0) := (others => 'Z');
    signal rc5_ram : std_logic_vector(bank5.rc_width - 1 downto 0) := (others => 'Z');
    signal rd5_ram : std_logic_vector(bank5.rd_width - 1 downto 0) := (others => 'Z');

    signal bus_in : locbus_in_t;
    signal bus_out : locbus_out_t := init_locbus_out;

    signal logic0, logic1 : std_logic;

    procedure report_message(
        str : in string)
    is
        constant colon : string(1 to 2) := ": ";
        variable msg : line;
    begin
        write(msg, now);
        write(msg, colon);
        write(msg, str);
        writeline(output, msg);
    end;

    procedure wait_cycles(
        constant n : in natural;
        signal   k : in std_logic)
    is begin
        for i in 0 to n - 1 loop
            wait until k'event and k = '1';
        end loop;
	wait for 1 ns;
    end;

    function max(
        a, b : in integer)
    return integer is
    begin
        if a > b then
            return a;
        else
            return b;
        end if;
    end;

    function min(
        a, b : in integer)
    return integer is
    begin
        if a < b then
            return a;
        else
            return b;
        end if;
    end;

    component memory
        generic(
            bank0             : in    bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
            bank1             : in    bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
            bank2             : in    bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
            bank3             : in    bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
            bank4             : in    bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
            bank5             : in    bank_t := (enable => true, ra_width => 21, rc_width => 8, rd_width => 32);
            bank6             : in    bank_t := no_bank;
            bank7             : in    bank_t := no_bank;
            bank8             : in    bank_t := no_bank;
            bank9             : in    bank_t := no_bank;
            bank10            : in    bank_t := no_bank;
            bank11            : in    bank_t := no_bank;
            bank12            : in    bank_t := no_bank;
            bank13            : in    bank_t := no_bank;
            bank14            : in    bank_t := no_bank;
            bank15            : in    bank_t := no_bank;
            num_ramclk        : in    natural := 6);
        port(
            -- Local bus
            lclk              : in    std_logic;
            lreset_l          : in    std_logic; 
            lwrite            : in    std_logic;
            la                : in    std_logic_vector(31 downto 2);
            lads_l            : in    std_logic;
            lblast_l          : in    std_logic;
            lbe_l             : in    std_logic_vector(3 downto 0);
            ld                : inout std_logic_vector(31 downto 0);
            lbterm_l          : inout std_logic;
            lready_l          : inout std_logic; 
            fholda            : in    std_logic;
            -- General purpose clock
            mclk_n            : in    std_logic;
            mclk_p            : in    std_logic;
            -- Reference clock
            refclk_n          : in    std_logic;
            refclk_p          : in    std_logic;
            -- Memory banks (up to 16 supported by this design)
            ra0               : out   std_logic_vector(bank0.ra_width - 1 downto 0);
            rc0               : inout std_logic_vector(bank0.rc_width - 1 downto 0);
            rd0               : inout std_logic_vector(bank0.rd_width - 1 downto 0);
            ra1               : out   std_logic_vector(bank1.ra_width - 1 downto 0);
            rc1               : inout std_logic_vector(bank1.rc_width - 1 downto 0);
            rd1               : inout std_logic_vector(bank1.rd_width - 1 downto 0);
            ra2               : out   std_logic_vector(bank2.ra_width - 1 downto 0);
            rc2               : inout std_logic_vector(bank2.rc_width - 1 downto 0);
            rd2               : inout std_logic_vector(bank2.rd_width - 1 downto 0);
            ra3               : out   std_logic_vector(bank3.ra_width - 1 downto 0);
            rc3               : inout std_logic_vector(bank3.rc_width - 1 downto 0);
            rd3               : inout std_logic_vector(bank3.rd_width - 1 downto 0);
            ra4               : out   std_logic_vector(bank4.ra_width - 1 downto 0);
            rc4               : inout std_logic_vector(bank4.rc_width - 1 downto 0);
            rd4               : inout std_logic_vector(bank4.rd_width - 1 downto 0);
            ra5               : out   std_logic_vector(bank5.ra_width - 1 downto 0);
            rc5               : inout std_logic_vector(bank5.rc_width - 1 downto 0);
            rd5               : inout std_logic_vector(bank5.rd_width - 1 downto 0);
            ra6               : out   std_logic_vector(bank6.ra_width - 1 downto 0);
            rc6               : inout std_logic_vector(bank6.rc_width - 1 downto 0);
            rd6               : inout std_logic_vector(bank6.rd_width - 1 downto 0);
            ra7               : out   std_logic_vector(bank7.ra_width - 1 downto 0);
            rc7               : inout std_logic_vector(bank7.rc_width - 1 downto 0);
            rd7               : inout std_logic_vector(bank7.rd_width - 1 downto 0);
            ra8               : out   std_logic_vector(bank8.ra_width - 1 downto 0);
            rc8               : inout std_logic_vector(bank8.rc_width - 1 downto 0);
            rd8               : inout std_logic_vector(bank8.rd_width - 1 downto 0);
            ra9               : out   std_logic_vector(bank9.ra_width - 1 downto 0);
            rc9               : inout std_logic_vector(bank9.rc_width - 1 downto 0);
            rd9               : inout std_logic_vector(bank9.rd_width - 1 downto 0);
            ra10              : out   std_logic_vector(bank10.ra_width - 1 downto 0);
            rc10              : inout std_logic_vector(bank10.rc_width - 1 downto 0);
            rd10              : inout std_logic_vector(bank10.rd_width - 1 downto 0);
            ra11              : out   std_logic_vector(bank11.ra_width - 1 downto 0);
            rc11              : inout std_logic_vector(bank11.rc_width - 1 downto 0);
            rd11              : inout std_logic_vector(bank11.rd_width - 1 downto 0);
            ra12              : out   std_logic_vector(bank12.ra_width - 1 downto 0);
            rc12              : inout std_logic_vector(bank12.rc_width - 1 downto 0);
            rd12              : inout std_logic_vector(bank12.rd_width - 1 downto 0);
            ra13              : out   std_logic_vector(bank13.ra_width - 1 downto 0);
            rc13              : inout std_logic_vector(bank13.rc_width - 1 downto 0);
            rd13              : inout std_logic_vector(bank13.rd_width - 1 downto 0);
            ra14              : out   std_logic_vector(bank14.ra_width - 1 downto 0);
            rc14              : inout std_logic_vector(bank14.rc_width - 1 downto 0);
            rd14              : inout std_logic_vector(bank14.rd_width - 1 downto 0);
            ra15              : out   std_logic_vector(bank15.ra_width - 1 downto 0);
            rc15              : inout std_logic_vector(bank15.rc_width - 1 downto 0);
            rd15              : inout std_logic_vector(bank15.rd_width - 1 downto 0);
            ramclki           : in    std_logic_vector(num_ramclk - 1 downto 0);
            ramclko           : out   std_logic_vector(num_ramclk - 1 downto 0));
    end component;

    component mt55l256l36p
        GENERIC (
            -- Constant parameters
            addr_bits : INTEGER := 18;
            data_bits : INTEGER := 36;
            init      : std_logic := 'X';
            -- Timing parameters for -6 (166 Mhz)
            tKHKH    : TIME    :=  6.0 ns;
            tKHKL    : TIME    :=  1.8 ns;
            tKLKH    : TIME    :=  1.8 ns;
            tKHQV    : TIME    :=  3.5 ns;
            tAVKH    : TIME    :=  1.5 ns;
            tEVKH    : TIME    :=  1.5 ns;
            tCVKH    : TIME    :=  1.5 ns;
            tDVKH    : TIME    :=  1.5 ns;
            tKHAX    : TIME    :=  0.5 ns;
            tKHEX    : TIME    :=  0.5 ns;
            tKHCX    : TIME    :=  0.5 ns;
            tKHDX    : TIME    :=  0.5 ns);
        -- Port Declarations
        PORT (
            Dq        : INOUT STD_LOGIC_VECTOR (data_bits - 1 DOWNTO 0);   -- Data I/O
            Addr      : IN    STD_LOGIC_VECTOR (addr_bits - 1 DOWNTO 0);   -- Address
            Lbo_n     : IN    STD_LOGIC;                                   -- Burst Mode
            Clk       : IN    STD_LOGIC;                                   -- Clk
            Cke_n     : IN    STD_LOGIC;                                   -- Cke#
            Ld_n      : IN    STD_LOGIC;                                   -- Adv/Ld#
            Bwa_n     : IN    STD_LOGIC;                                   -- Bwa#
            Bwb_n     : IN    STD_LOGIC;                                   -- BWb#
            Bwc_n     : IN    STD_LOGIC;                                   -- Bwa#
            Bwd_n     : IN    STD_LOGIC;                                   -- BWb#
            Rw_n      : IN    STD_LOGIC;                                   -- RW#
            Oe_n      : IN    STD_LOGIC;                                   -- OE#
            Ce_n      : IN    STD_LOGIC;                                   -- CE#
            Ce2_n     : IN    STD_LOGIC;                                   -- CE2#
            Ce2       : IN    STD_LOGIC;                                   -- CE2
            Zz        : IN    STD_LOGIC);                                  -- Snooze Mode
    end component;

    procedure check_status_register(
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable addr : std_logic_vector(31 downto 0);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        plxsim_read(2, true, X"00000010", be, data, n, bus_in, bus_out);
        val32 := conv_std_logic_vector(data);
        if val32(0) /= '1' then
            report_message("*** STATUS register reports LCLK DCM not locked");
        end if;
    end;

    procedure configure_memory_subsystem(
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable addr : std_logic_vector(31 downto 0);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        for i in 0 to 5 loop
            report_message("Configuring bank " & conv_string(i));

            -- Select bank 'i'
            data := conv_byte_vector(CONV_STD_LOGIC_VECTOR(i, 32));
            plxsim_write(2, true, X"00000000", be, data, n, bus_in, bus_out);

            -- Set operating mode for bank 'i'
            addr := X"00000040";
            addr := addr + i * 4;
            case i is
                when 0 | 1 | 2 | 3 | 4 | 5 =>
                    -- Set bank 'i' mode (ZBT SSRAM) to pipelined
                    data(0 to 3) := conv_byte_vector(X"00000001");

                when others =>
                    null;
            end case;
            plxsim_write(2, true, addr, be(0 to 3), data(0 to 3), n, bus_in, bus_out);
        end loop;
    end;

    procedure reset_memory_subsystem(
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        -- Write 0x1 to MEMCTL register to assert reset
        val32 := X"00000001";
        data := conv_byte_vector(val32);
        plxsim_write(2, true, X"00000008", be, data, n, bus_in, bus_out);
        val32 := conv_std_logic_vector(data);
        -- Write 0x0 to MEMCTL register to deassert reset
        val32 := X"00000000";
        data := conv_byte_vector(val32);
        plxsim_write(2, true, X"00000008", be, data, n, bus_in, bus_out);
        val32 := conv_std_logic_vector(data);
    end;

    procedure wait_until_trained(
        constant mask    : in    std_logic_vector(15 downto 0);
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        loop
            -- Read MEMSTAT register (for training flags)
            plxsim_read(2, true, X"00000018", be, data, n, bus_in, bus_out);
            val32 := conv_std_logic_vector(data);
            exit when (val32(15 downto 0) and mask) = mask; -- test for all ports trained
        end loop;    
    end;

    procedure test_host_access(
        signal bus_in  : in    locbus_in_t;
        signal bus_out : out   locbus_out_t)
    is
        constant len : natural := 10000;
        variable addr : std_logic_vector(31 downto 0);
        variable dummy32 : byte_vector_t(0 to 3);
        variable data, chk : byte_vector_t(0 to len - 1);
        variable be : byte_enable_t(0 to len - 1);
        variable n : natural;
        variable max : natural;
        variable remaining : natural;
        variable pos : natural;
        variable chunk : natural;
    begin
        -- Wait for DCMs to achieve lock and for memory banks to be trained
        report_message("Waiting 50 us to allow LCLK DCM to achieve lock");
        wait for 50 us;
        wait_cycles(1, lclk);

        be := (others => '1');

        plxsim_request_bus(true, bus_in, bus_out);

        -- Check that STATUS register indicates that LCLK DCM has achieved lock
        check_status_register(bus_in, bus_out);

        -- Set the operating parameters for the memory ports
        report_message("Configuring memory port operating parameters");
        configure_memory_subsystem(bus_in, bus_out);

        -- Reset the memory subsystem
        report_message("Resetting memory subsystem");
        reset_memory_subsystem(bus_in, bus_out);

        -- Wait until all memory ports have been trained
        report_message("Waiting for completion of memory port training");
        wait_until_trained(X"003F", bus_in, bus_out);

        for i in 0 to 5 loop
            -- Select bank 'i'
            data(0 to 3) := conv_byte_vector(CONV_STD_LOGIC_VECTOR(i, 32));
            plxsim_write(2, true, X"00000000", be(0 to 3), data(0 to 3), n, bus_in, bus_out);

            -- Write some data
            report_message("Writing data to bank " & conv_string(i));
            for i in 0 to len / 2 - 1 loop
                data(i * 2 to i * 2 + 1) := conv_byte_vector(conv_std_logic_vector(i, 16));
            end loop;
            pos := 0;
            remaining := len;
            max := 100;
            addr := X"00200000";
            while pos < len loop
                chunk := min(remaining, max);
                plxsim_write(2, true, addr, be(pos to pos + chunk - 1), data(pos to pos + chunk - 1), n, bus_in, bus_out);
                max := max - 4;
                if max = 0 then
                    max := 100;
                end if;
                pos := pos + n;
                remaining := remaining - n;
                addr := addr + n;
            end loop;

            -- Read some data
            report_message("Reading back bank " & conv_string(i));
            chk := (others => (others => '0'));
            pos := 0;
            remaining := len;
            max := 100;
            addr := X"00200000";
            while pos < len loop
                chunk := min(remaining, max);
                plxsim_read(2, true, addr, be(pos to pos + chunk - 1), chk(pos to pos + chunk - 1), n, bus_in, bus_out);
                max := max - 4;
                if max = 0 then
                    max := 100;
                end if;
                for i in pos to pos + n - 1 loop
                    if chk(i) /= data(i) then
                        report_message("*** " & conv_string(now) & " index=" & conv_string_hex(i) &
                                       " exp=0x" & conv_string_hex(data(i)) &
                                       " act=0x" & conv_string_hex(chk(i)));
                    end if;
                end loop;
                pos := pos + n;
                remaining := remaining - n;
                addr := addr + n;
            end loop;
        end loop;

        plxsim_request_bus(false, bus_in, bus_out);

	assert false report "Simulation of host memory access (ADM-XRC-4LX) complete" severity failure;
        wait;
    end;

    procedure on_chip_memory_test(
        signal bus_in  : in    locbus_in_t;
        signal bus_out : out   locbus_out_t)
    is
        variable addr : std_logic_vector(31 downto 0);
        variable val32 : std_logic_vector(31 downto 0);
        variable data, chk : byte_vector_t(0 to 31);
        variable be : byte_enable_t(0 to 31);
        variable n : natural;
    begin
        -- Wait for DCMs to achieve lock
        report_message("Waiting 50 us to allow LCLK DCM to achieve lock");
        wait for 50 us;
        wait_cycles(1, lclk);

        be := (others => '1');

        plxsim_request_bus(true, bus_in, bus_out);

        -- Read STATUS register (for DCM lock flags)
        plxsim_read(2, true, X"00000010", be(0 to 3), data(0 to 3), n, bus_in, bus_out);

        -- Set the operating parameters for the memory ports
        report_message("Configuring memory port operating parameters");
        configure_memory_subsystem(bus_in, bus_out);

        -- Reset the memory subsystem
        report_message("Resetting memory subsystem");
        reset_memory_subsystem(bus_in, bus_out);

        -- Wait until all memory ports have been trained
        report_message("Waiting for completion of memory port training");
        wait_until_trained(X"003F", bus_in, bus_out);

        -- Kick off memory tests on banks 0 to 5
        report_message("Initiating on-chip memory test");
        data(0 to 3) := conv_byte_vector(X"0000003F");
        plxsim_write(2, true, X"000001fc", be(0 to 3), data(0 to 3), n, bus_in, bus_out);
        wait_cycles(32, lclk);

        -- Select bank 1
        data(0 to 3) := conv_byte_vector(X"00000001");
        plxsim_write(2, true, X"00000000", be(0 to 3), data(0 to 3), n, bus_in, bus_out);

        -- Wait for memory tests to complete
        while true loop
            -- Read some data from memory
            plxsim_read(2, true, X"00200400", be(0 to 31), chk(0 to 31), n, bus_in, bus_out);

            -- Read memory test status in USER63 register
            plxsim_read(2, true, X"000001fc", be(0 to 3), data(0 to 3), n, bus_in, bus_out);
            val32 := conv_std_logic_vector(data(0 to 3));
            exit when val32(15 downto 0) = X"FFFF";

            wait_cycles(20, lclk);
        end loop;

        report_message("On-chip memory test completed, ERROR=0x" & conv_string_hex(val32(31 downto 16)));

        plxsim_request_bus(false, bus_in, bus_out);

	assert false report "Simulation of on-chip memory test (ADM-XRC-4LX) complete" severity failure;
        wait;
    end;

begin

    logic0 <= '0';
    logic1 <= '1';

    lclk <= not lclk after lclk_period / 2;

    mclk_p <= not mclk_p after mclk_period / 2;
    mclk_n <= not mclk_n after mclk_period / 2;

    refclk_p <= not refclk_p after refclk_period / 2;
    refclk_n <= not refclk_n after refclk_period / 2;

    lreset_l <= transport '1' after 50 ns;

    lads_l <= 'H';
    l64_l <= 'H';
    lblast_l <= 'H';
    lbterm_l <= 'H';
    lready_l <= 'H';
    lwrite <= 'H';

    main : process
    begin
        case test_id is
            when 0 =>
                test_host_access(bus_in, bus_out);
            when 1 =>
                on_chip_memory_test(bus_in, bus_out);
            when others =>
                assert false report "Invalid test_id value : " & conv_string(test_id) severity failure;
        end case;
        wait;
    end process;

    gen_reading : process(ramclk)
    begin
        if ramclk(0)'event and ramclk(0) = '1' then
            reading(0) <= not rc0_ram(5) and rc0_ram(4);
            readingq(0) <= reading(0);
            writing(0) <= not rc0_ram(5) and not rc0_ram(4);
            writingq(0) <= writing(0);
        end if;

        if ramclk(1)'event and ramclk(1) = '1' then
            reading(1) <= not rc1_ram(5) and rc1_ram(4);
            readingq(1) <= reading(1);
            writing(1) <= not rc1_ram(5) and not rc1_ram(4);
            writingq(1) <= writing(1);
        end if;

        if ramclk(2)'event and ramclk(2) = '1' then
            reading(2) <= not rc2_ram(5) and rc2_ram(4);
            readingq(2) <= reading(2);
            writing(2) <= not rc2_ram(5) and not rc2_ram(4);
            writingq(2) <= writing(2);
        end if;

        if ramclk(3)'event and ramclk(3) = '1' then
            reading(3) <= not rc3_ram(5) and rc3_ram(4);
            readingq(3) <= reading(3);
            writing(3) <= not rc3_ram(5) and not rc3_ram(4);
            writingq(3) <= writing(3);
        end if;

        if ramclk(4)'event and ramclk(4) = '1' then
            reading(4) <= not rc4_ram(5) and rc4_ram(4);
            readingq(4) <= reading(4);
            writing(4) <= not rc4_ram(5) and not rc4_ram(4);
            writingq(4) <= writing(4);
        end if;

        if ramclk(5)'event and ramclk(5) = '1' then
            reading(5) <= not rc5_ram(5) and rc5_ram(4);
            readingq(5) <= reading(5);
            writing(5) <= not rc5_ram(5) and not rc5_ram(4);
            writingq(5) <= writing(5);
        end if;
    end process;

    drive_a(0) <= readingq(0) and not rc0(7);
    drive_a(1) <= readingq(1) and not rc1(7);
    drive_a(2) <= readingq(2) and not rc2(7);
    drive_a(3) <= readingq(3) and not rc3(7);
    drive_a(4) <= readingq(4) and not rc4(7);
    drive_a(5) <= readingq(5) and not rc5(7);

    ra0_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank0.ra_width)
        port map(
            a => ra0,
            b => ra0_ram);

    rc0_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank0.rc_width)
        port map(
            a => rc0,
            b => rc0_ram);

    rd0_delay : bus_trace_model_bidir
        generic map(
            delay => 1.0 ns,
            width => bank0.rd_width)
        port map(
            drive_a => drive_a(0),
            drive_b => writingq(0),
            a => rd0,
            b => rd0_ram);

    ra1_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank1.ra_width)
        port map(
            a => ra1,
            b => ra1_ram);

    rc1_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank1.rc_width)
        port map(
            a => rc1,
            b => rc1_ram);

    rd1_delay : bus_trace_model_bidir
        generic map(
            delay => 1.0 ns,
            width => bank1.rd_width)
        port map(
            drive_a => drive_a(1),
            drive_b => writingq(1),
            a => rd1,
            b => rd1_ram);

    ra2_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank2.ra_width)
        port map(
            a => ra2,
            b => ra2_ram);

    rc2_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank2.rc_width)
        port map(
            a => rc2,
            b => rc2_ram);

    rd2_delay : bus_trace_model_bidir
        generic map(
            delay => 1.0 ns,
            width => bank2.rd_width)
        port map(
            drive_a => drive_a(2),
            drive_b => writingq(2),
            a => rd2,
            b => rd2_ram);

    ra3_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank3.ra_width)
        port map(
            a => ra3,
            b => ra3_ram);

    rc3_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank3.rc_width)
        port map(
            a => rc3,
            b => rc3_ram);

    rd3_delay : bus_trace_model_bidir
        generic map(
            delay => 1.0 ns,
            width => bank3.rd_width)
        port map(
            drive_a => drive_a(3),
            drive_b => writingq(3),
            a => rd3,
            b => rd3_ram);

    ra4_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank4.ra_width)
        port map(
            a => ra4,
            b => ra4_ram);

    rc4_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank4.rc_width)
        port map(
            a => rc4,
            b => rc4_ram);

    rd4_delay : bus_trace_model_bidir
        generic map(
            delay => 1.0 ns,
            width => bank4.rd_width)
        port map(
            drive_a => drive_a(4),
            drive_b => writingq(4),
            a => rd4,
            b => rd4_ram);

    ra5_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank5.ra_width)
        port map(
            a => ra5,
            b => ra5_ram);

    rc5_delay : bus_trace_model_unidir
        generic map(
            delay => 1.0 ns,
            width => bank5.rc_width)
        port map(
            a => rc5,
            b => rc5_ram);

    rd5_delay : bus_trace_model_bidir
        generic map(
            delay => 1.0 ns,
            width => bank5.rd_width)
        port map(
            drive_a => drive_a(5),
            drive_b => writingq(5),
            a => rd5,
            b => rd5_ram);

    mem_model_0 : mt55l256l36p
        generic map(
            addr_bits => bank0.ra_width,
            data_bits => 32,
            init => '0')
        port map(
            Dq => rd0_ram,
            Addr => ra0_ram,
            Lbo_n => logic0,
            Clk => ramclk(0),
            Cke_n => logic0,
            Ld_n => rc0_ram(6),
            Bwa_n => rc0_ram(0),
            Bwb_n => rc0_ram(1),
            Bwc_n => rc0_ram(2),
            Bwd_n => rc0_ram(3),
            Rw_n => rc0_ram(4),
            Oe_n => rc0_ram(7),
            Ce_n => rc0_ram(5),
            Ce2_n => logic0,
            Ce2 => logic1,
            Zz => logic0);

    mem_model_1 : mt55l256l36p
        generic map(
            addr_bits => bank1.ra_width,
            data_bits => 32,
            init => '0')
        port map(
            Dq => rd1_ram,
            Addr => ra1_ram,
            Lbo_n => logic0,
            Clk => ramclk(1),
            Cke_n => logic0,
            Ld_n => rc1_ram(6),
            Bwa_n => rc1_ram(0),
            Bwb_n => rc1_ram(1),
            Bwc_n => rc1_ram(2),
            Bwd_n => rc1_ram(3),
            Rw_n => rc1_ram(4),
            Oe_n => rc1_ram(7),
            Ce_n => rc1_ram(5),
            Ce2_n => logic0,
            Ce2 => logic1,
            Zz => logic0);

    mem_model_2 : mt55l256l36p
        generic map(
            addr_bits => bank2.ra_width,
            data_bits => 32,
            init => '0')
        port map(
            Dq => rd2_ram,
            Addr => ra2_ram,
            Lbo_n => logic0,
            Clk => ramclk(2),
            Cke_n => logic0,
            Ld_n => rc2_ram(6),
            Bwa_n => rc2_ram(0),
            Bwb_n => rc2_ram(1),
            Bwc_n => rc2_ram(2),
            Bwd_n => rc2_ram(3),
            Rw_n => rc2_ram(4),
            Oe_n => rc2_ram(7),
            Ce_n => rc2_ram(5),
            Ce2_n => logic0,
            Ce2 => logic1,
            Zz => logic0);

    mem_model_3 : mt55l256l36p
        generic map(
            addr_bits => bank3.ra_width,
            data_bits => 32,
            init => '0')
        port map(
            Dq => rd3_ram,
            Addr => ra3_ram,
            Lbo_n => logic0,
            Clk => ramclk(3),
            Cke_n => logic0,
            Ld_n => rc3_ram(6),
            Bwa_n => rc3_ram(0),
            Bwb_n => rc3_ram(1),
            Bwc_n => rc3_ram(2),
            Bwd_n => rc3_ram(3),
            Rw_n => rc3_ram(4),
            Oe_n => rc3_ram(7),
            Ce_n => rc3_ram(5),
            Ce2_n => logic0,
            Ce2 => logic1,
            Zz => logic0);

    mem_model_4 : mt55l256l36p
        generic map(
            addr_bits => bank4.ra_width,
            data_bits => 32,
            init => '0')
        port map(
            Dq => rd4_ram,
            Addr => ra4_ram,
            Lbo_n => logic0,
            Clk => ramclk(4),
            Cke_n => logic0,
            Ld_n => rc4_ram(6),
            Bwa_n => rc4_ram(0),
            Bwb_n => rc4_ram(1),
            Bwc_n => rc4_ram(2),
            Bwd_n => rc4_ram(3),
            Rw_n => rc4_ram(4),
            Oe_n => rc4_ram(7),
            Ce_n => rc4_ram(5),
            Ce2_n => logic0,
            Ce2 => logic1,
            Zz => logic0);

    mem_model_5 : mt55l256l36p
        generic map(
            addr_bits => bank5.ra_width,
            data_bits => 32,
            init => '0')
        port map(
            Dq => rd5_ram,
            Addr => ra5_ram,
            Lbo_n => logic0,
            Clk => ramclk(5),
            Cke_n => logic0,
            Ld_n => rc5_ram(6),
            Bwa_n => rc5_ram(0),
            Bwb_n => rc5_ram(1),
            Bwc_n => rc5_ram(2),
            Bwd_n => rc5_ram(3),
            Rw_n => rc5_ram(4),
            Oe_n => rc5_ram(7),
            Ce_n => rc5_ram(5),
            Ce2_n => logic0,
            Ce2 => logic1,
            Zz => logic0);

    UUT : memory
        generic map(
            bank0 => bank0,
            bank1 => bank1,
            bank2 => bank2,
            bank3 => bank3,
            bank4 => bank4,
            bank5 => bank5,
            bank6 => bank6,
            bank7 => bank7,
            bank8 => bank8,
            bank9 => bank9,
            bank10 => bank10,
            bank11 => bank11,
            bank12 => bank12,
            bank13 => bank13,
            bank14 => bank14,
            bank15 => bank15,
            num_ramclk => num_ramclk)
        port map(
            lclk       => lclk,
            lreset_l   => lreset_l,
            lads_l     => lads_l,
            lblast_l   => lblast_l,
            lbe_l      => lbe_l,
            lwrite     => lwrite,
            la         => la,
            ld         => ld,
            lbterm_l   => lbterm_l,
            lready_l   => lready_l,
            fholda     => fholda,
            mclk_p     => mclk_p,
            mclk_n     => mclk_n,
            refclk_p   => refclk_p,
            refclk_n   => refclk_n,
            ra0        => ra0,
            rc0        => rc0,
            rd0        => rd0,
            ra1        => ra1,
            rc1        => rc1,
            rd1        => rd1,
            ra2        => ra2,
            rc2        => rc2,
            rd2        => rd2,
            ra3        => ra3,
            rc3        => rc3,
            rd3        => rd3,
            ra4        => ra4,
            rc4        => rc4,
            rd4        => rd4,
            ra5        => ra5,
            rc5        => rc5,
            rd5        => rd5,
            ra6        => ra6,
            rc6        => rc6,
            rd6        => rd6,
            ra7        => ra7,
            rc7        => rc7,
            rd7        => rd7,
            ra8        => ra8,
            rc8        => rc8,
            rd8        => rd8,
            ra9        => ra9,
            rc9        => rc9,
            rd9        => rd9,
            ra10       => ra10,
            rc10       => rc10,
            rd10       => rd10,
            ra11       => ra11,
            rc11       => rc11,
            rd11       => rd11,
            ra12       => ra12,
            rc12       => rc12,
            rd12       => rd12,
            ra13       => ra13,
            rc13       => rc13,
            rd13       => rd13,
            ra14       => ra14,
            rc14       => rc14,
            rd14       => rd14,
            ra15       => ra15,
            rc15       => rc15,
            rd15       => rd15,
            ramclki    => ramclk,
            ramclko    => ramclk);
         
    agent_ds : locbus_agent_nonmux
        port map(
            lclk        => lclk,
            lreset_l    => lreset_l,
            lads_l      => lads_l,
            la          => la,
            ld          => ld,
            lbe_l       => lbe_l,
            lblast_l    => lblast_l,
            lbterm_l    => lbterm_l,
            lready_l    => lready_l,
            lwrite      => lwrite,
            lhold       => lhold(0),
            lholda      => lholda(0),
            bus_in      => bus_in,
            bus_out     => bus_out);

    arb_0 : locbus_arb
        generic map(
            n_arb       => num_agent,
            priority    => priorities)
        port map(
            lclk        => lclk,
            lreset_l    => lreset_l,
            lhold       => lhold,
            lholda      => lholda);

    lbpcheck_0 : lbpcheck
        generic map(
            multiplexed => false,
            wide        => false)
        port map(
            lclk        => lclk,
            lreset_l    => lreset_l,
            lads_l      => lads_l,
            l64_l       => l64_l,
            la          => la,
            lad_lo      => ld(31 downto 0),
            lad_hi      => ld(31 downto 0),
            lbe_lo_l    => lbe_l(3 downto 0),
            lbe_hi_l    => lbe_l(3 downto 0),
            lwrite      => lwrite,
            lblast_l    => lblast_l,
            lready_l    => lready_l,
            lbterm_l    => lbterm_l);

end behav;
