--
-- test_memory-xrc5tda1.vhd - Testbench for entity 'memory', targetting ADM-XRC-5T-DA1
--
-- (C) Copyright Alpha Data 2007
--
-- NOT SYNTHESIZABLE
--

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_misc.all;

library std;
use std.textio.all;

library plxsim;
use plxsim.plxsim.all;

library work;
use work.memif.all;
use work.memif_sim.all;
USE work.HY5PS121621F_PACK.all;

entity test_memory is
    generic(
        test_id : in natural);
end test_memory;

architecture behav of test_memory is

    constant refclk200_period : time := 5 ns;
    constant lclk_period : time := 15 ns;
    constant mclka_period : time := 3.75 ns; -- 266.67MHz clock frequency at memory chips

    constant num_agent : natural := 1;

    constant priorities : integer_vector_t(0 to num_agent - 1) := (others => 0);

    constant bank0 : bank_t := (enable => true, ra_width => 18, rc_width => 22, rd_width => 32);
    constant bank1 : bank_t := (enable => true, ra_width => 18, rc_width => 22, rd_width => 32);
    constant bank2 : bank_t := (enable => true, ra_width => 24, rc_width => 9, rd_width => 16);
    constant bank3 : bank_t := (enable => true, ra_width => 24, rc_width => 9, rd_width => 16);
    constant bank4 : bank_t := no_bank;
    constant bank5 : bank_t := no_bank;
    constant bank6 : bank_t := no_bank;
    constant bank7 : bank_t := no_bank;
    constant bank8 : bank_t := no_bank;
    constant bank9 : bank_t := no_bank;
    constant bank10 : bank_t := no_bank;
    constant bank11 : bank_t := no_bank;
    constant bank12 : bank_t := no_bank;
    constant bank13 : bank_t := no_bank;
    constant bank14 : bank_t := no_bank;
    constant bank15 : bank_t := no_bank;
    constant num_ramclk : natural := 1;

    signal lclk : std_logic := '1';
    signal lreset_l : std_logic := '0';
    signal lwrite : std_logic := 'Z';
    signal lads_l : std_logic := 'Z';
    signal l64_l : std_logic := 'Z';
    signal lblast_l : std_logic := 'Z';
    signal lbterm_l : std_logic := 'Z';
    signal lad : std_logic_vector(31 downto 0) := (others => 'Z');
    signal lready_l : std_logic := 'Z';
    signal lbe_l : std_logic_vector(3 downto 0) := (others => 'Z');
    signal fholda : std_logic := '0';
    signal lhold : std_logic_vector(num_agent - 1 downto 0);
    signal lholda : std_logic_vector(num_agent - 1 downto 0);
    signal mclka_p : std_logic := '1';
    signal mclka_n : std_logic := '0';
    signal refclk200_p : std_logic := '1';
    signal refclk200_n : std_logic := '0';
    signal ra0 : std_logic_vector(bank0.ra_width - 1 downto 0) := (others => 'Z');
    signal rc0 : std_logic_vector(bank0.rc_width - 1 downto 0) := (others => 'Z');
    signal rd0 : std_logic_vector(bank0.rd_width - 1 downto 0) := (others => 'Z');
    signal ra1 : std_logic_vector(bank1.ra_width - 1 downto 0) := (others => 'Z');
    signal rc1 : std_logic_vector(bank1.rc_width - 1 downto 0) := (others => 'Z');
    signal rd1 : std_logic_vector(bank1.rd_width - 1 downto 0) := (others => 'Z');
    signal ra2 : std_logic_vector(bank2.ra_width - 1 downto 0) := (others => 'Z');
    signal rc2 : std_logic_vector(bank2.rc_width - 1 downto 0) := (others => 'Z');
    signal rd2 : std_logic_vector(bank2.rd_width - 1 downto 0) := (others => 'Z');
    signal ra3 : std_logic_vector(bank3.ra_width - 1 downto 0) := (others => 'Z');
    signal rc3 : std_logic_vector(bank3.rc_width - 1 downto 0) := (others => 'Z');
    signal rd3 : std_logic_vector(bank3.rd_width - 1 downto 0) := (others => 'Z');
    signal ra4 : std_logic_vector(bank4.ra_width - 1 downto 0) := (others => 'Z');
    signal rc4 : std_logic_vector(bank4.rc_width - 1 downto 0) := (others => 'Z');
    signal rd4 : std_logic_vector(bank4.rd_width - 1 downto 0) := (others => 'Z');
    signal ra5 : std_logic_vector(bank5.ra_width - 1 downto 0) := (others => 'Z');
    signal rc5 : std_logic_vector(bank5.rc_width - 1 downto 0) := (others => 'Z');
    signal rd5 : std_logic_vector(bank5.rd_width - 1 downto 0) := (others => 'Z');
    signal ra6 : std_logic_vector(bank6.ra_width - 1 downto 0) := (others => 'Z');
    signal rc6 : std_logic_vector(bank6.rc_width - 1 downto 0) := (others => 'Z');
    signal rd6 : std_logic_vector(bank6.rd_width - 1 downto 0) := (others => 'Z');
    signal ra7 : std_logic_vector(bank7.ra_width - 1 downto 0) := (others => 'Z');
    signal rc7 : std_logic_vector(bank7.rc_width - 1 downto 0) := (others => 'Z');
    signal rd7 : std_logic_vector(bank7.rd_width - 1 downto 0) := (others => 'Z');
    signal ra8 : std_logic_vector(bank8.ra_width - 1 downto 0) := (others => 'Z');
    signal rc8 : std_logic_vector(bank8.rc_width - 1 downto 0) := (others => 'Z');
    signal rd8 : std_logic_vector(bank8.rd_width - 1 downto 0) := (others => 'Z');
    signal ra9 : std_logic_vector(bank9.ra_width - 1 downto 0) := (others => 'Z');
    signal rc9 : std_logic_vector(bank9.rc_width - 1 downto 0) := (others => 'Z');
    signal rd9 : std_logic_vector(bank9.rd_width - 1 downto 0) := (others => 'Z');
    signal ra10 : std_logic_vector(bank10.ra_width - 1 downto 0) := (others => 'Z');
    signal rc10 : std_logic_vector(bank10.rc_width - 1 downto 0) := (others => 'Z');
    signal rd10 : std_logic_vector(bank10.rd_width - 1 downto 0) := (others => 'Z');
    signal ra11 : std_logic_vector(bank11.ra_width - 1 downto 0) := (others => 'Z');
    signal rc11 : std_logic_vector(bank11.rc_width - 1 downto 0) := (others => 'Z');
    signal rd11 : std_logic_vector(bank11.rd_width - 1 downto 0) := (others => 'Z');
    signal ra12 : std_logic_vector(bank12.ra_width - 1 downto 0) := (others => 'Z');
    signal rc12 : std_logic_vector(bank12.rc_width - 1 downto 0) := (others => 'Z');
    signal rd12 : std_logic_vector(bank12.rd_width - 1 downto 0) := (others => 'Z');
    signal ra13 : std_logic_vector(bank13.ra_width - 1 downto 0) := (others => 'Z');
    signal rc13 : std_logic_vector(bank13.rc_width - 1 downto 0) := (others => 'Z');
    signal rd13 : std_logic_vector(bank13.rd_width - 1 downto 0) := (others => 'Z');
    signal ra14 : std_logic_vector(bank14.ra_width - 1 downto 0) := (others => 'Z');
    signal rc14 : std_logic_vector(bank14.rc_width - 1 downto 0) := (others => 'Z');
    signal rd14 : std_logic_vector(bank14.rd_width - 1 downto 0) := (others => 'Z');
    signal ra15 : std_logic_vector(bank15.ra_width - 1 downto 0) := (others => 'Z');
    signal rc15 : std_logic_vector(bank15.rc_width - 1 downto 0) := (others => 'Z');
    signal rd15 : std_logic_vector(bank15.rd_width - 1 downto 0) := (others => 'Z');
    signal ramclk : std_logic_vector(num_ramclk - 1 downto 0);

    signal ra0_ram : std_logic_vector(bank0.ra_width - 1 downto 0) := (others => 'Z');
    signal rc0_ram : std_logic_vector(bank0.rc_width - 1 downto 0) := (others => 'Z');
    signal rd0_ram : std_logic_vector(bank0.rd_width - 1 downto 0) := (others => 'Z');
    signal ra1_ram : std_logic_vector(bank1.ra_width - 1 downto 0) := (others => 'Z');
    signal rc1_ram : std_logic_vector(bank1.rc_width - 1 downto 0) := (others => 'Z');
    signal rd1_ram : std_logic_vector(bank1.rd_width - 1 downto 0) := (others => 'Z');
    signal ra2_ram : std_logic_vector(bank2.ra_width - 1 downto 0) := (others => 'Z');
    signal rc2_ram : std_logic_vector(bank2.rc_width - 1 downto 0) := (others => 'Z');
    signal rd2_ram : std_logic_vector(bank2.rd_width - 1 downto 0) := (others => 'Z');
    signal ra3_ram : std_logic_vector(bank3.ra_width - 1 downto 0) := (others => 'Z');
    signal rc3_ram : std_logic_vector(bank3.rc_width - 1 downto 0) := (others => 'Z');
    signal rd3_ram : std_logic_vector(bank3.rd_width - 1 downto 0) := (others => 'Z');

    signal bus_in : locbus_in_t;
    signal bus_out : locbus_out_t := init_locbus_out;

    signal logic0, logic1 : std_logic;

    procedure report_message(
        str : in string)
    is
        variable msg : line;
    begin
        write(msg, str);
        writeline(output, msg);
    end;

    procedure wait_cycles(
        constant n : in natural;
        signal   k : in std_logic)
    is begin
        for i in 0 to n - 1 loop
            wait until k'event and k = '1';
        end loop;
	wait for 1 ns;
    end;

    function max(
        a, b : in integer)
    return integer is
    begin
        if a > b then
            return a;
        else
            return b;
        end if;
    end;

    function min(
        a, b : in integer)
    return integer is
    begin
        if a < b then
            return a;
        else
            return b;
        end if;
    end;

    component memory
        generic(
            bank0             : in    bank_t := (enable => true, ra_width => 19, rc_width => 22, rd_width => 32);
            bank1             : in    bank_t := (enable => true, ra_width => 19, rc_width => 22, rd_width => 32);
            bank2             : in    bank_t := (enable => true, ra_width => 24, rc_width => 9, rd_width => 16);
            bank3             : in    bank_t := no_bank;
            bank4             : in    bank_t := no_bank;
            bank5             : in    bank_t := no_bank;
            bank6             : in    bank_t := no_bank;
            bank7             : in    bank_t := no_bank;
            bank8             : in    bank_t := no_bank;
            bank9             : in    bank_t := no_bank;
            bank10            : in    bank_t := no_bank;
            bank11            : in    bank_t := no_bank;
            bank12            : in    bank_t := no_bank;
            bank13            : in    bank_t := no_bank;
            bank14            : in    bank_t := no_bank;
            bank15            : in    bank_t := no_bank;
            num_ramclk        : in    natural := 1);
        port(
            -- Local bus
            lclk              : in    std_logic;
            lreset_l          : in    std_logic; 
            lwrite            : in    std_logic;
            lads_l            : in    std_logic;
            lblast_l          : in    std_logic;
            lbe_l             : in    std_logic_vector(3 downto 0);
            lad               : inout std_logic_vector(31 downto 0);
            lbterm_l          : inout std_logic;
            lready_l          : inout std_logic; 
            fholda            : in    std_logic;
            -- General purpose clock
            mclka_p           : in    std_logic;
            mclka_n           : in    std_logic;
            -- Reference clock (200MHz)
            refclk200_p       : in    std_logic;
            refclk200_n       : in    std_logic;
            -- Memory banks (up to 16 supported by this design)
            ra0               : out   std_logic_vector(bank0.ra_width - 1 downto 0);
            rc0               : inout std_logic_vector(bank0.rc_width - 1 downto 0);
            rd0               : inout std_logic_vector(bank0.rd_width - 1 downto 0);
            ra1               : out   std_logic_vector(bank1.ra_width - 1 downto 0);
            rc1               : inout std_logic_vector(bank1.rc_width - 1 downto 0);
            rd1               : inout std_logic_vector(bank1.rd_width - 1 downto 0);
            ra2               : out   std_logic_vector(bank2.ra_width - 1 downto 0);
            rc2               : inout std_logic_vector(bank2.rc_width - 1 downto 0);
            rd2               : inout std_logic_vector(bank2.rd_width - 1 downto 0);
            ra3               : out   std_logic_vector(bank3.ra_width - 1 downto 0);
            rc3               : inout std_logic_vector(bank3.rc_width - 1 downto 0);
            rd3               : inout std_logic_vector(bank3.rd_width - 1 downto 0);
            ra4               : out   std_logic_vector(bank4.ra_width - 1 downto 0);
            rc4               : inout std_logic_vector(bank4.rc_width - 1 downto 0);
            rd4               : inout std_logic_vector(bank4.rd_width - 1 downto 0);
            ra5               : out   std_logic_vector(bank5.ra_width - 1 downto 0);
            rc5               : inout std_logic_vector(bank5.rc_width - 1 downto 0);
            rd5               : inout std_logic_vector(bank5.rd_width - 1 downto 0);
            ra6               : out   std_logic_vector(bank6.ra_width - 1 downto 0);
            rc6               : inout std_logic_vector(bank6.rc_width - 1 downto 0);
            rd6               : inout std_logic_vector(bank6.rd_width - 1 downto 0);
            ra7               : out   std_logic_vector(bank7.ra_width - 1 downto 0);
            rc7               : inout std_logic_vector(bank7.rc_width - 1 downto 0);
            rd7               : inout std_logic_vector(bank7.rd_width - 1 downto 0);
            ra8               : out   std_logic_vector(bank8.ra_width - 1 downto 0);
            rc8               : inout std_logic_vector(bank8.rc_width - 1 downto 0);
            rd8               : inout std_logic_vector(bank8.rd_width - 1 downto 0);
            ra9               : out   std_logic_vector(bank9.ra_width - 1 downto 0);
            rc9               : inout std_logic_vector(bank9.rc_width - 1 downto 0);
            rd9               : inout std_logic_vector(bank9.rd_width - 1 downto 0);
            ra10              : out   std_logic_vector(bank10.ra_width - 1 downto 0);
            rc10              : inout std_logic_vector(bank10.rc_width - 1 downto 0);
            rd10              : inout std_logic_vector(bank10.rd_width - 1 downto 0);
            ra11              : out   std_logic_vector(bank11.ra_width - 1 downto 0);
            rc11              : inout std_logic_vector(bank11.rc_width - 1 downto 0);
            rd11              : inout std_logic_vector(bank11.rd_width - 1 downto 0);
            ra12              : out   std_logic_vector(bank12.ra_width - 1 downto 0);
            rc12              : inout std_logic_vector(bank12.rc_width - 1 downto 0);
            rd12              : inout std_logic_vector(bank12.rd_width - 1 downto 0);
            ra13              : out   std_logic_vector(bank13.ra_width - 1 downto 0);
            rc13              : inout std_logic_vector(bank13.rc_width - 1 downto 0);
            rd13              : inout std_logic_vector(bank13.rd_width - 1 downto 0);
            ra14              : out   std_logic_vector(bank14.ra_width - 1 downto 0);
            rc14              : inout std_logic_vector(bank14.rc_width - 1 downto 0);
            rd14              : inout std_logic_vector(bank14.rd_width - 1 downto 0);
            ra15              : out   std_logic_vector(bank15.ra_width - 1 downto 0);
            rc15              : inout std_logic_vector(bank15.rc_width - 1 downto 0);
            rd15              : inout std_logic_vector(bank15.rd_width - 1 downto 0);
            ramclko           : out   std_logic_vector(num_ramclk - 1 downto 0));
    end component;

    component HY5PS121621F
        generic(
            TimingCheckFlag : boolean := TRUE;
            PUSCheckFlag : boolean := FALSE;
            Part_Number : PART_NUM_TYPE := B400);
        port(
            DQ    :  inout   std_logic_vector(15 downto 0) := (others => 'Z');
            LDQS  :  inout   std_logic := 'Z';
            LDQSB :  inout   std_logic := 'Z';
            UDQS  :  inout   std_logic := 'Z';
            UDQSB :  inout   std_logic := 'Z';
            LDM   :  in      std_logic;
            WEB   :  in      std_logic;
            CASB  :  in      std_logic;
            RASB  :  in      std_logic;
            CSB   :  in      std_logic;
            BA    :  in      std_logic_vector(1 downto 0);
            ADDR  :  in      std_logic_vector(12 downto 0);
            CKE   :  in      std_logic;
            CLK   :  in      std_logic;
            CLKB  :  in      std_logic;
            UDM   :  in      std_logic);
    end component;

    procedure check_status_register(
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable addr : std_logic_vector(31 downto 0);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        plxsim_read(2, true, X"00000010", be, data, n, bus_in, bus_out);
        val32 := conv_std_logic_vector(data);
        if val32(0) /= '1' then
            report_message("*** STATUS register reports LCLK DCM not locked");
        end if;
    end;

    procedure configure_memory_subsystem(
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable addr : std_logic_vector(31 downto 0);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        for i in 0 to 3 loop
            report_message("Configuring bank " & conv_string(i));

            -- Select bank 'i'
            data := conv_byte_vector(CONV_STD_LOGIC_VECTOR(i, 32));
            plxsim_write(2, true, X"00000000", be, data, n, bus_in, bus_out);

            -- Set operating mode for bank 'i'
            addr := X"00000040";
            addr := addr + i * 4;
            case i is
                when 0 | 1 =>
                    -- Set bank mode (DDR SDRAM) to unbuffered, X8/X16, row bits 13, col bits 10, bank bits 2, physical banks 1
                    data(0 to 3) := conv_byte_vector(X"00000094");

                when 2 | 3 =>
                    -- Set bank mode (DDR-II SSRAM) to DLL enabled
                    data(0 to 3) := conv_byte_vector(X"00000000");

                when others =>
                    null;
            end case;
            plxsim_write(2, true, addr, be(0 to 3), data(0 to 3), n, bus_in, bus_out);
        end loop;
    end;

    procedure reset_memory_subsystem(
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        -- Write 0x1 to MEMCTL register to assert reset
        val32 := X"00000001";
        data := conv_byte_vector(val32);
        plxsim_write(2, true, X"00000008", be, data, n, bus_in, bus_out);
        val32 := conv_std_logic_vector(data);
        -- Write 0x0 to MEMCTL register to deassert reset
        val32 := X"00000000";
        data := conv_byte_vector(val32);
        plxsim_write(2, true, X"00000008", be, data, n, bus_in, bus_out);
        val32 := conv_std_logic_vector(data);
    end;

    procedure wait_until_trained(
        constant mask    : in    std_logic_vector(15 downto 0);
        signal   bus_in  : in    locbus_in_t;
        signal   bus_out : out   locbus_out_t)
    is
        constant be : byte_enable_t(0 to 3) := X"F";
        variable data : byte_vector_t(0 to 3);
        variable val32 : std_logic_vector(31 downto 0);
        variable n : natural;
    begin
        loop
            -- Read MEMSTAT register (for training flags)
            plxsim_read(2, true, X"00000018", be, data, n, bus_in, bus_out);
            val32 := conv_std_logic_vector(data);
            exit when (val32(15 downto 0) and mask) = mask; -- test for all ports trained
        end loop;    
    end;

    procedure test_host_access(
        signal bus_in  : in    locbus_in_t;
        signal bus_out : out   locbus_out_t)
    is
        constant len : natural := 10000;
        variable addr : std_logic_vector(31 downto 0);
        variable dummy32 : byte_vector_t(0 to 3);
        variable data, chk : byte_vector_t(0 to len - 1);
        variable be : byte_enable_t(0 to len - 1);
        variable n : natural;
        variable max : natural;
        variable remaining : natural;
        variable pos : natural;
        variable chunk : natural;
    begin
        -- Wait for DCMs to achieve lock and for memory banks to be trained
        report_message("Waiting 50 us to allow LCLK DCM to achieve lock");
        wait for 50 us;
        wait_cycles(1, lclk);

        be := (others => '1');

        plxsim_request_bus(true, bus_in, bus_out);

        -- Check that STATUS register indicates that LCLK DCM has achieved lock
        check_status_register(bus_in, bus_out);

        -- Set the operating parameters for the memory ports
        report_message("Configuring memory port operating parameters");
        configure_memory_subsystem(bus_in, bus_out);

        -- Reset the memory subsystem
        report_message("Resetting memory subsystem");
        reset_memory_subsystem(bus_in, bus_out);

        -- Wait until all memory ports have been trained
        report_message("Waiting for completion of memory port training");
        wait_until_trained(X"0007", bus_in, bus_out);

        for i in 0 to 3 loop
            -- Select bank 'i'
            data(0 to 3) := conv_byte_vector(CONV_STD_LOGIC_VECTOR(i, 32));
            plxsim_write(2, true, X"00000000", be(0 to 3), data(0 to 3), n, bus_in, bus_out);

            -- Write some data
            report_message("Writing data to bank " & conv_string(i));
            for i in 0 to len / 2 - 1 loop
                data(i * 2 to i * 2 + 1) := conv_byte_vector(conv_std_logic_vector(i, 16));
            end loop;
            pos := 0;
            remaining := len;
            max := 100;
            addr := X"00200000";
            while pos < len loop
                chunk := min(remaining, max);
                plxsim_write(2, true, addr, be(pos to pos + chunk - 1), data(pos to pos + chunk - 1), n, bus_in, bus_out);
                max := max - 4;
                if max = 0 then
                    max := 100;
                end if;
                pos := pos + n;
                remaining := remaining - n;
                addr := addr + n;
            end loop;

            -- Read some data
            report_message("Reading back bank " & conv_string(i));
            chk := (others => (others => '0'));
            pos := 0;
            remaining := len;
            max := 100;
            addr := X"00200000";
            while pos < len loop
                chunk := min(remaining, max);
                plxsim_read(2, true, addr, be(pos to pos + chunk - 1), chk(pos to pos + chunk - 1), n, bus_in, bus_out);
                max := max - 4;
                if max = 0 then
                    max := 100;
                end if;
                for i in pos to pos + n - 1 loop
                    if chk(i) /= data(i) then
                        report_message("*** " & conv_string(now) & " index=" & conv_string_hex(i) &
                                       " exp=0x" & conv_string_hex(data(i)) &
                                       " act=0x" & conv_string_hex(chk(i)));
                    end if;
                end loop;
                pos := pos + n;
                remaining := remaining - n;
                addr := addr + n;
            end loop;
        end loop;

        plxsim_request_bus(false, bus_in, bus_out);

	assert false report "Simulation of host memory access (ADM-XRC-5T-DA1) complete" severity failure;
        wait;
    end;

    procedure on_chip_memory_test(
        signal bus_in  : in    locbus_in_t;
        signal bus_out : out   locbus_out_t)
    is
        variable addr : std_logic_vector(31 downto 0);
        variable val32 : std_logic_vector(31 downto 0);
        variable data, chk : byte_vector_t(0 to 31);
        variable be : byte_enable_t(0 to 31);
        variable n : natural;
    begin
        -- Wait for DCMs to achieve lock
        report_message("Waiting 50 us to allow LCLK DCM to achieve lock");
        wait for 50 us;
        wait_cycles(1, lclk);

        be := (others => '1');

        plxsim_request_bus(true, bus_in, bus_out);

        -- Read STATUS register (for DCM lock flags)
        plxsim_read(2, true, X"00000010", be(0 to 3), data(0 to 3), n, bus_in, bus_out);

        -- Set the operating parameters for the memory ports
        report_message("Configuring memory port operating parameters");
        configure_memory_subsystem(bus_in, bus_out);

        -- Reset the memory subsystem
        report_message("Resetting memory subsystem");
        reset_memory_subsystem(bus_in, bus_out);

        -- Wait until all memory ports have been trained
        report_message("Waiting for completion of memory port training");
        wait_until_trained(X"000f", bus_in, bus_out);

        -- Kick off memory tests on banks 0 to 3
        report_message("Initiating on-chip memory test");
        data(0 to 3) := conv_byte_vector(X"0000000f");
        plxsim_write(2, true, X"000001fc", be(0 to 3), data(0 to 3), n, bus_in, bus_out);
        wait_cycles(32, lclk);

        -- Select bank 1
        data(0 to 3) := conv_byte_vector(X"00000001");
        plxsim_write(2, true, X"00000000", be(0 to 3), data(0 to 3), n, bus_in, bus_out);

        -- Wait for memory tests to complete
        while true loop
            -- Read some data from memory
            plxsim_read(2, true, X"00200400", be(0 to 31), chk(0 to 31), n, bus_in, bus_out);

            -- Read memory test status in USER63 register
            plxsim_read(2, true, X"000001fc", be(0 to 3), data(0 to 3), n, bus_in, bus_out);
            val32 := conv_std_logic_vector(data(0 to 3));
            exit when val32(15 downto 0) = X"FFFF";

            wait_cycles(20, lclk);
        end loop;

        report_message("On-chip memory test completed, ERROR=0x" & conv_string_hex(val32(31 downto 16)));

        plxsim_request_bus(false, bus_in, bus_out);

	assert false report "Simulation of on-chip memory test (ADM-XRC-5T-DA1) complete" severity failure;
        wait;
    end;

begin

    logic0 <= '0';
    logic1 <= '1';

    refclk200_p <= not refclk200_p after refclk200_period / 2;
    refclk200_n <= not refclk200_n after refclk200_period / 2;

    lclk <= not lclk after lclk_period / 2;

    mclka_p <= not mclka_p after mclka_period / 2;
    mclka_n <= not mclka_n after mclka_period / 2;

    lreset_l <= transport '1' after 50 ns;

    lads_l <= 'H';
    l64_l <= 'H';
    lblast_l <= 'H';
    lbterm_l <= 'H';
    lready_l <= 'H';
    lwrite <= 'H';

    main : process
    begin
        case test_id is
            when 0 =>
                test_host_access(bus_in, bus_out);
            when 1 =>
                on_chip_memory_test(bus_in, bus_out);
            when others =>
                assert false report "Invalid test_id value : " & conv_string(test_id) severity failure;
        end case;
        wait;
    end process;

    trace_model_0 : ddr2sdram_trace_model
        generic map(
            max_bank_width => 3,
            max_addr_width => 15,
            num_phys_bank => 1,
            dq_width => bank0.rd_width,
            k_width => 2,
            cke_width => 1,
            odt_width => 1,
            registered => false,
            t_trace_k => 0.5 ns,
            t_trace_ctl => 0.5 ns,
            t_trace_dm => 0.5 ns,
            t_trace_dq => 0.5 ns,
            t_trace_dqs => 0.5 ns)
        port map(
            mk => rc0(13 downto 12),
            mk_l => rc0(15 downto 14),
            mcke => rc0(16 downto 16),
            modt => rc0(17 downto 17),
            mwe_l => rc0(18),
            mcas_l => rc0(19),
            mras_l => rc0(20),
            mcs_l => rc0(21 downto 21),
            mba => ra0(17 downto 15),
            ma => ra0(14 downto 0),
            mdq => rd0,
            mdm => rc0(3 downto 0),
            mdqs => rc0(7 downto 4),
            mdqs_l => rc0(11 downto 8),
            dk => rc0_ram(13 downto 12),
            dk_l => rc0_ram(15 downto 14),
            dcke => rc0_ram(16 downto 16),
            dodt => rc0_ram(17 downto 17),
            dwe_l => rc0_ram(18),
            dcas_l => rc0_ram(19),
            dras_l => rc0_ram(20),
            dcs_l => rc0_ram(21 downto 21),
            dba => ra0_ram(17 downto 15),
            da => ra0_ram(14 downto 0),
            ddq => rd0_ram,
            ddm => rc0_ram(3 downto 0),
            ddqs => rc0_ram(7 downto 4),
            ddqs_l => rc0_ram(11 downto 8));

    mem_model_0 : for i in 0 to 1 generate
        chip0 : HY5PS121621F
            generic map(
                Part_Number => B533)
            port map(
                DQ => rd0_ram(16 * (i + 1) - 1 downto 16 * i),
                LDM => rc0_ram(2 * i + 0),
                LDQS => rc0_ram(2 * i + 4),
                LDQSB => rc0_ram(2 * i + 8),
                UDM => rc0_ram(2 * i + 1),
                UDQS => rc0_ram(2 * i + 5),
                UDQSB => rc0_ram(2 * i + 9),
                WEB => rc0_ram(18),
                CASB => rc0_ram(19),
                RASB => rc0_ram(20),
                CSB => rc0_ram(21),
                BA => ra0_ram(16 downto 15),
                ADDR => ra0_ram(12 downto 0),
                CKE => rc0_ram(16),
                CLK => rc0_ram(i + 12),
                CLKB => rc0_ram(i + 14));
    end generate;

    trace_model_1 : ddr2sdram_trace_model
        generic map(
            max_bank_width => 3,
            max_addr_width => 15,
            num_phys_bank => 1,
            dq_width => bank1.rd_width,
            k_width => 2,
            cke_width => 1,
            odt_width => 1,
            registered => false,
            t_trace_k => 0.5 ns,
            t_trace_ctl => 0.5 ns,
            t_trace_dm => 0.5 ns,
            t_trace_dq => 0.5 ns,
            t_trace_dqs => 0.5 ns)
        port map(
            mk => rc1(13 downto 12),
            mk_l => rc1(15 downto 14),
            mcke => rc1(16 downto 16),
            modt => rc1(17 downto 17),
            mwe_l => rc1(18),
            mcas_l => rc1(19),
            mras_l => rc1(20),
            mcs_l => rc1(21 downto 21),
            mba => ra1(17 downto 15),
            ma => ra1(14 downto 0),
            mdq => rd1,
            mdm => rc1(3 downto 0),
            mdqs => rc1(7 downto 4),
            mdqs_l => rc1(11 downto 8),
            dk => rc1_ram(13 downto 12),
            dk_l => rc1_ram(15 downto 14),
            dcke => rc1_ram(16 downto 16),
            dodt => rc1_ram(17 downto 17),
            dwe_l => rc1_ram(18),
            dcas_l => rc1_ram(19),
            dras_l => rc1_ram(20),
            dcs_l => rc1_ram(21 downto 21),
            dba => ra1_ram(17 downto 15),
            da => ra1_ram(14 downto 0),
            ddq => rd1_ram,
            ddm => rc1_ram(3 downto 0),
            ddqs => rc1_ram(7 downto 4),
            ddqs_l => rc1_ram(11 downto 8));

    mem_model_1 : for i in 0 to 1 generate
        chip0 : HY5PS121621F
            generic map(
                Part_Number => B533)
            port map(
                DQ => rd1_ram(16 * (i + 1) - 1 downto 16 * i),
                LDM => rc1_ram(2 * i + 0),
                LDQS => rc1_ram(2 * i + 4),
                LDQSB => rc1_ram(2 * i + 8),
                UDM => rc1_ram(2 * i + 1),
                UDQS => rc1_ram(2 * i + 5),
                UDQSB => rc1_ram(2 * i + 9),
                WEB => rc1_ram(18),
                CASB => rc1_ram(19),
                RASB => rc1_ram(20),
                CSB => rc1_ram(21),
                BA => ra1_ram(16 downto 15),
                ADDR => ra1_ram(12 downto 0),
                CKE => rc1_ram(16),
                CLK => rc1_ram(i + 12),
                CLKB => rc1_ram(i + 14));
    end generate;

    trace_model_2 : ddr2sram_trace_model
        generic map(
            a_width => bank2.ra_width,
            dq_width => bank2.rd_width,
            t_trace_k => 1.0 ns,
            t_trace_c => 1.0 ns,
            t_trace_cq => 1.0 ns,
            t_trace_a => 1.0 ns,
            t_trace_ctl => 1.0 ns,
            t_trace_dq => 1.0 ns)
        port map(
            mk => rc2(4),
            mk_l => rc2(5),
            mc => rc2(4),
            mc_l => rc2(5),
            mld_l => rc2(2),
            mw_l => rc2(3),
            mbwe_l => rc2(1 downto 0),
            mdq => rd2,
            mcq => rc2(6),
            mcq_l => rc2(7),
            ma => ra2,
            dk => rc2_ram(4),
            dk_l => rc2_ram(5),
            dc => open,
            dc_l => open,
            dld_l => rc2_ram(2),
            dw_l => rc2_ram(3),
            dbwe_l => rc2_ram(1 downto 0),
            ddq => rd2_ram,
            dcq => rc2_ram(6),
            dcq_l => rc2_ram(7),
            da => ra2_ram);

    mem_model_2 : ddr2sram_model
        generic map(
            burst_order => 1,
            a_width => 24,
            dq_width => 16)
        port map(
            k => rc2_ram(4),
            k_l => rc2_ram(5),
            c => rc2_ram(4),
            c_l => rc2_ram(5),
            ld_l => rc2_ram(2),
            w_l => rc2_ram(3),
            bwe_l => rc2_ram(1 downto 0),
            dq => rd2_ram,
            cq => rc2_ram(6),
            cq_l => rc2_ram(7),
            a => ra2_ram);

    trace_model_3 : ddr2sram_trace_model
        generic map(
            a_width => bank3.ra_width,
            dq_width => bank3.rd_width,
            t_trace_k => 1.0 ns,
            t_trace_c => 1.0 ns,
            t_trace_cq => 1.0 ns,
            t_trace_a => 1.0 ns,
            t_trace_ctl => 1.0 ns,
            t_trace_dq => 1.0 ns)
        port map(
            mk => rc3(4),
            mk_l => rc3(5),
            mc => rc3(4),
            mc_l => rc3(5),
            mld_l => rc3(2),
            mw_l => rc3(3),
            mbwe_l => rc3(1 downto 0),
            mdq => rd3,
            mcq => rc3(6),
            mcq_l => rc3(7),
            ma => ra3,
            dk => rc3_ram(4),
            dk_l => rc3_ram(5),
            dc => open,
            dc_l => open,
            dld_l => rc3_ram(2),
            dw_l => rc3_ram(3),
            dbwe_l => rc3_ram(1 downto 0),
            ddq => rd3_ram,
            dcq => rc3_ram(6),
            dcq_l => rc3_ram(7),
            da => ra3_ram);

    mem_model_3 : ddr2sram_model
        generic map(
            burst_order => 1,
            a_width => 24,
            dq_width => 16)
        port map(
            k => rc3_ram(4),
            k_l => rc3_ram(5),
            c => rc3_ram(4),
            c_l => rc3_ram(5),
            ld_l => rc3_ram(2),
            w_l => rc3_ram(3),
            bwe_l => rc3_ram(1 downto 0),
            dq => rd3_ram,
            cq => rc3_ram(6),
            cq_l => rc3_ram(7),
            a => ra3_ram);

    UUT : memory
        generic map(
            bank0 => bank0,
            bank1 => bank1,
            bank2 => bank2,
            bank3 => bank3,
            bank4 => bank4,
            bank5 => bank5,
            bank6 => bank6,
            bank7 => bank7,
            bank8 => bank8,
            bank9 => bank9,
            bank10 => bank10,
            bank11 => bank11,
            bank12 => bank12,
            bank13 => bank13,
            bank14 => bank14,
            bank15 => bank15,
            num_ramclk => num_ramclk)
        port map(
            lclk => lclk,
            lreset_l => lreset_l,
            lads_l => lads_l,
            lblast_l => lblast_l,
            lbe_l => lbe_l,
            lwrite => lwrite,
            lad => lad,
            lbterm_l => lbterm_l,
            lready_l => lready_l,
            fholda => fholda,
            mclka_p => mclka_p,
            mclka_n => mclka_n,
            refclk200_p => refclk200_p,
            refclk200_n => refclk200_n,
            ra0 => ra0,
            rc0 => rc0,
            rd0 => rd0,
            ra1 => ra1,
            rc1 => rc1,
            rd1 => rd1,
            ra2 => ra2,
            rc2 => rc2,
            rd2 => rd2,
            ra3 => ra3,
            rc3 => rc3,
            rd3 => rd3,
            ra4 => ra4,
            rc4 => rc4,
            rd4 => rd4,
            ra5 => ra5,
            rc5 => rc5,
            rd5 => rd5,
            ra6 => ra6,
            rc6 => rc6,
            rd6 => rd6,
            ra7 => ra7,
            rc7 => rc7,
            rd7 => rd7,
            ra8 => ra8,
            rc8 => rc8,
            rd8 => rd8,
            ra9 => ra9,
            rc9 => rc9,
            rd9 => rd9,
            ra10 => ra10,
            rc10 => rc10,
            rd10 => rd10,
            ra11 => ra11,
            rc11 => rc11,
            rd11 => rd11,
            ra12 => ra12,
            rc12 => rc12,
            rd12 => rd12,
            ra13 => ra13,
            rc13 => rc13,
            rd13 => rd13,
            ra14 => ra14,
            rc14 => rc14,
            rd14 => rd14,
            ra15 => ra15,
            rc15 => rc15,
            rd15 => rd15,
            ramclko => ramclk);
         
    agent_ds : locbus_agent_mux32
        port map(
            lclk => lclk,
            lreset_l => lreset_l,
            lads_l => lads_l,
            lad => lad,
            lbe_l => lbe_l,
            lblast_l => lblast_l,
            lbterm_l => lbterm_l,
            lready_l => lready_l,
            lwrite => lwrite,
            lhold => lhold(0),
            lholda => lholda(0),
            bus_in => bus_in,
            bus_out => bus_out);

    arb_0 : locbus_arb
        generic map(
            n_arb => num_agent,
            priority => priorities)
        port map(
            lclk => lclk,
            lreset_l => lreset_l,
            lhold => lhold,
            lholda => lholda);

    lbpcheck_0 : lbpcheck
        generic map(
            multiplexed => true,
            wide => false)
        port map(
            lclk => lclk,
            lreset_l => lreset_l,
            lads_l => lads_l,
            l64_l => l64_l,
            la => lad(31 downto 2),
            lad_lo => lad(31 downto 0),
            lad_hi => lad(31 downto 0),
            lbe_lo_l => lbe_l(3 downto 0),
            lbe_hi_l => lbe_l(3 downto 0),
            lwrite => lwrite,
            lblast_l => lblast_l,
            lready_l => lready_l,
            lbterm_l => lbterm_l);

end behav;
