# Testbench sources
vlib plxsim
vcom -93 -work plxsim "../../plxsim/plxsim_pkg.vhd"
vcom -93 -work plxsim "../../plxsim/locbus_arb.vhd"
vcom -93 -work plxsim "../../plxsim/lbpcheck.vhd"
vcom -93 -work plxsim "../../plxsim/locbus_agent_ddma.vhd"
vcom -93 -work plxsim "../../plxsim/locbus_agent_mux32.vhd"
vcom -93 -work plxsim "../../plxsim/locbus_agent_mux64.vhd"
vcom -93 -work plxsim "../../plxsim/locbus_agent_nonmux.vhd" 

vlib work
# Synthesizable sources
vcom -93 "../../common/dcm_standby/standby_pkg.vhd"
vcom -93 "../../common/dcm_standby/standby.vhd"
vcom -93 "../../common/dcm_standby/count2tc_sync.vhd"
vcom -93 "../../common/dcm_standby/detector.vhd"
vcom -93 "../../common/dcm_standby/drp_robot.vhd"
vcom -93 "../../common/dcm_standby/ringosc.vhd"
vcom -93 "../../common/dcm_standby/dcm_standby.vhd"
vcom -93 "../../common/null_mgt/null_mgt_sim.vhd"
vcom -93 "../../common/dpmem/dpmem_pkg.vhd"
vcom -93 "../../common/dpmem/dpbram0.vhd"
vcom -93 "../../common/dpmem/dpbram.vhd"
vcom -93 "../../common/dpmem/distmem0.vhd"
vcom -93 "../../common/dpmem/distmem.vhd"
vcom -93 "../../common/fifo/fifo_pkg.vhd"
vcom -93 "../../common/fifo/afifo.vhd"
vcom -93 "../../common/memif/memif_pkg.vhd"
vcom -93 "../../common/memif/memif_int_pkg.vhd"
vcom -93 "../../common/memif/memif_def_sim.vhd"
vcom -93 "../../common/memif/cmd_fifo.vhd"
vcom -93 "../../common/memif/pulse_sync.vhd"
vcom -93 "../../common/memif/async_port.vhd"
vcom -93 "../../common/memif/port_mux.vhd"
vcom -93 "../../common/memif/port_repl.vhd"
vcom -93 "../../common/memif/spd_i2c.vhd"
vcom -93 "../../common/memif/arbiter_4.vhd"
vcom -93 "../../common/memif/arbiter_2.vhd"
vcom -93 "../../common/memif/memory_test.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_iserdes_dq.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_oserdes_dq.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_oserdes_dqs.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_clkfw.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_ctrl.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_dm.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_dq_in.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_dq_in_dc.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_dq_out.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_dqs_in.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_dqs_out.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_training_dc.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_init.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_odt.vhd"
vcom -93 "../../common/memif/ddr2sdram/ddr2sdram_port.vhd"
vcom -93 "../../common/localbus/localbus_pkg.vhd"
vcom -93 "../../common/localbus/plxdssm.vhd"
vcom -93 "../common/memory64_common_pkg.vhd"
vcom -93 "./user_defs_pkg-xrce4fx.vhd"
vcom -93 "./memclk-xrce4fx.vhd"
vcom -93 "./memory_banks-xrce4fx.vhd"
vcom -93 "../common/reg_sync.vhd"
vcom -93 "../common/user_reg_sync.vhd"
vcom -93 "../common/user_app.vhd"
vcom -93 "../common/memory64_main.vhd"
vcom -93 "../common/lclk_dcm_v4.vhd"
vcom -93 "./memory64-xrce4fx.vhd"

# Testbench sources
vcom -93 "../../common/memif/memif_sim_pkg.vhd"
vcom -93 "../../common/memif/models/vendor/hy5ps121621f_pack.vhd"
vcom -93 "../../common/memif/models/vendor/hy5ps121621f.vhd"
vcom -93 "../../common/memif/models/ddr2sdram_trace_model.vhd"
vcom -93 "./test_memory64-xrce4fx.vhd"

vsim -t ps -gtest_id=0 test_memory64
add wave /*
add wave /uut/*
add wave /uut/lclk_dcm_0/*
add wave /uut/memory64_main_0/*
add wave /uut/memory64_main_0/memory_banks_0/*
add wave /uut/memory64_main_0/memory_banks_0/memclk_0/*
add wave /uut/memory64_main_0/memory_banks_0/gen_async_ports__0/async_port_0/*
add wave /uut/memory64_main_0/memory_banks_0/dram_port_0/*

radix hex
run 10ms
