--
-- clocks_sim.vhd - clock generator for simulation of ZBT design
--
-- (C) Copyright Alpha Data 1999-2005
--
-- NOT SYNTHESIZABLE
--

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_misc.all;
use ieee.std_logic_unsigned.all;

entity clocks is
    generic(
        num_clock     : in    natural);
    port(
        lreset_l      : in    std_logic;
        rst           : out   std_logic;
        lclk          : in    std_logic;
        mclk          : in    std_logic;
        clk           : out   std_logic;
        ramclko       : out   std_logic_vector(num_clock - 1 downto 0);
        ramclki       : in    std_logic_vector(num_clock - 1 downto 0);
        locked        : out   std_logic_vector(31 downto 0));
end clocks;

architecture simulation of clocks is

begin

    clk     <= lclk;
    rst     <= not lreset_l;
    ramclko <= (others => lclk);

    locked(0) <= '1';
    locked(num_clock downto 1) <= (others => '1');
    locked(31 downto num_clock + 1) <= (others => '0');
    
end simulation;

